SET ECHO ON; -- noqa: PRS



/******************************************************************************/

/****                                ANAG                                  ****/

/******************************************************************************/



SET ECHO OFF; -- noqa: PRS



SET NAMES UTF8; -- noqa: PRS



CONNECT 'localhost:./firebird_data/anag.fdb' USER 'SYSDBA' PASSWORD 'masterkey';  -- noqa: PRS



SET SQL DIALECT 3; -- noqa: PRS



SET ECHO ON; -- noqa: PRS



/******************************************************************************/

/****                         DATE/TIME INFO                               ****/

/******************************************************************************/



SET ECHO OFF; -- noqa: PRS



SELECT

    CURRENT_DATE,

    CURRENT_TIME,

    CURRENT_TIMESTAMP

FROM RDB$DATABASE;  -- noqa: LXR, PRS



SET ECHO ON; -- noqa: PRS



/******************************************************************************/

/****                                PAGHE                                 ****/

/******************************************************************************/



SET ECHO OFF; -- noqa: PRS



SET NAMES UTF8; -- noqa: PRS



CONNECT 'localhost:./firebird_data/paghe.fdb' USER 'SYSDBA' PASSWORD 'masterkey';  -- noqa: PRS



SET SQL DIALECT 3; -- noqa: PRS



UPDATE ELEMENTORETRIBUTIVO SET DESCRIZIONE = 'Lavoro festivo occasionale', DESCRIZIONE2 = 'Lav. festivo occasionale' WHERE IDELEMENTO = 5901;

COMMIT WORK; -- skip error



-- Indennità lavoro domestico

---- Richiesto da Maria Sbraccia (http://192.168.0.106:85/otrs/index.pl?Action=AgentTicketZoom;TicketID=14106)

Create Table LavDomestico  (

	IdLavoratore Integer NOT NULL,

	Convivente Booleanint,

	IndennSostVittoAlloggio Booleanint,

	IndennSostVittoNoAlloggio Booleanint,

	BabySitterBambinoMinore6Anni Booleanint,

	DoppioAssistito Booleanint,

	CertQualita Booleanint,

Constraint pk_LavDomestico Primary Key (IdLavoratore)

);

COMMIT WORK;



Create Table LavDomesticoTipoIndennita  (

	IdTipoIndennita Smallint NOT NULL,

	Descrizione Varchar(200),

Constraint pk_LavDomesticoTipoIndennita Primary Key (IdTipoIndennita)

);

COMMIT WORK;



Create Table LavDomesticoIndennita  (

	IdIndennita Integer NOT NULL,

	Dal Date,

	Al Date,

	IdTipoIndennita Smallint NOT NULL,

	Livello Varchar(50),

	Ora Arithmetic,

	Giorno Arithmetic,

	Mese Arithmetic,

Constraint pk_LavDomesticoIndennita Primary Key (IdIndennita)

);

COMMIT WORK;



Alter Table LavDomesticoIndennita add Constraint Relationship1487 Foreign Key (IdTipoIndennita) references LavDomesticoTipoIndennita (IdTipoIndennita) on update no action on delete no action ;

COMMIT WORK;



INSERT INTO LavDomesticoTipoIndennita (IdTipoIndennita, Descrizione) VALUES (1, 'Indennità sostitutiva di vitto e alloggio');

INSERT INTO LavDomesticoTipoIndennita (IdTipoIndennita, Descrizione) VALUES (2, 'Indennità sostitutiva di vitto senza alloggio');

INSERT INTO LavDomesticoTipoIndennita (IdTipoIndennita, Descrizione) VALUES (3, 'Indennità doppio assistito');

INSERT INTO LavDomesticoTipoIndennita (IdTipoIndennita, Descrizione) VALUES (4, 'Indennità UNI 11766/2019');

INSERT INTO LavDomesticoTipoIndennita (IdTipoIndennita, Descrizione) VALUES (5, 'Indennità bambino minore di 6 anni');

COMMIT WORK;



INSERT INTO LavDomesticoIndennita (IdIndennita, Dal, Al, IdTipoIndennita, Livello, Ora, Giorno, Mese) VALUES (1, '01.01.2023', NULL, 1, NULL, NULL, 6.47, NULL);

INSERT INTO LavDomesticoIndennita (IdIndennita, Dal, Al, IdTipoIndennita, Livello, Ora, Giorno, Mese) VALUES (2, '01.01.2023', NULL, 2, NULL, NULL, 4.52, NULL);

INSERT INTO LavDomesticoIndennita (IdIndennita, Dal, Al, IdTipoIndennita, Livello, Ora, Giorno, Mese) VALUES (3, '01.01.2023', NULL, 3, 'CS', 0.66, NULL, 112.34);

INSERT INTO LavDomesticoIndennita (IdIndennita, Dal, Al, IdTipoIndennita, Livello, Ora, Giorno, Mese) VALUES (4, '01.01.2023', NULL, 3, 'DS', 0.66, NULL, 112.34);

INSERT INTO LavDomesticoIndennita (IdIndennita, Dal, Al, IdTipoIndennita, Livello, Ora, Giorno, Mese) VALUES (5, '01.01.2023', NULL, 4, 'B',  NULL, NULL, 8.99);

INSERT INTO LavDomesticoIndennita (IdIndennita, Dal, Al, IdTipoIndennita, Livello, Ora, Giorno, Mese) VALUES (6, '01.01.2023', NULL, 4, 'BS', NULL, NULL, 11.24);

INSERT INTO LavDomesticoIndennita (IdIndennita, Dal, Al, IdTipoIndennita, Livello, Ora, Giorno, Mese) VALUES (7, '01.01.2023', NULL, 4, 'CS', NULL, NULL, 11.24);

INSERT INTO LavDomesticoIndennita (IdIndennita, Dal, Al, IdTipoIndennita, Livello, Ora, Giorno, Mese) VALUES (8, '01.01.2023', NULL, 5, 'BS', 0.79, NULL, 130.05);

INSERT INTO LavDomesticoIndennita (IdIndennita, Dal, Al, IdTipoIndennita, Livello, Ora, Giorno, Mese) VALUES (9, '01.01.2023', NULL, 5, 'Convivenza ad orario ridotto', 0.79, NULL, 91.12);

COMMIT WORK;



---- Nuove voci (copiate da 4012)

INSERT INTO ELEMENTORETRIBUTIVO (IDELEMENTO, IDTIPOELEMENTO, IDTIPOELEMENTO2, IDFREQUENZA, IDBASEIMPONIBILE, IMPORTO, PERCENTUALE, DESCRIZIONE, DESCRIZIONE2, IDENTEPREVIDENZIALE, ALIQUOTAPREVIDENZ, IRPEF, IRPEFALIQUOTA, IRPEFALIQUOTASOST, INAIL, INAILALIQUOTA, TFR, TFRALIQUOTA, INDIRETTO, NETTO, RIFIMPRESA, RIFTIPOLAVORATORE, RIFCONTRATTO, DATAEROGAZIONE, LIMITEQUANTITAANNUA, ORDINAMENTO, RICORRENTE, CONTRATTUALIZZATO, RIFASSENZA, FIGURATIVO, RECALC, NASCOSTO, NOTE, CUSTOM, GRUPPO) VALUES ('4021', '40', '1', '0', NULL, NULL, NULL, 'Indennità sostitutiva di vitto e alloggio', 'Indennità sostitutiva vitto e alloggio', '1', NULL, '1', NULL, NULL, '1', NULL, '1', '1.000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', NULL, NULL, NULL, '1', NULL, '0', NULL);

INSERT INTO ELEMENTORETRIBUTIVO (IDELEMENTO, IDTIPOELEMENTO, IDTIPOELEMENTO2, IDFREQUENZA, IDBASEIMPONIBILE, IMPORTO, PERCENTUALE, DESCRIZIONE, DESCRIZIONE2, IDENTEPREVIDENZIALE, ALIQUOTAPREVIDENZ, IRPEF, IRPEFALIQUOTA, IRPEFALIQUOTASOST, INAIL, INAILALIQUOTA, TFR, TFRALIQUOTA, INDIRETTO, NETTO, RIFIMPRESA, RIFTIPOLAVORATORE, RIFCONTRATTO, DATAEROGAZIONE, LIMITEQUANTITAANNUA, ORDINAMENTO, RICORRENTE, CONTRATTUALIZZATO, RIFASSENZA, FIGURATIVO, RECALC, NASCOSTO, NOTE, CUSTOM, GRUPPO) VALUES ('4022', '40', '1', '0', NULL, NULL, NULL, 'Indennità sostitutiva di vitto', 'Indennità sostitutiva vitto', '1', NULL, '1', NULL, NULL, '1', NULL, '1', '1.000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', NULL, NULL, NULL, '1', NULL, '0', NULL);

INSERT INTO ELEMENTORETRIBUTIVO (IDELEMENTO, IDTIPOELEMENTO, IDTIPOELEMENTO2, IDFREQUENZA, IDBASEIMPONIBILE, IMPORTO, PERCENTUALE, DESCRIZIONE, DESCRIZIONE2, IDENTEPREVIDENZIALE, ALIQUOTAPREVIDENZ, IRPEF, IRPEFALIQUOTA, IRPEFALIQUOTASOST, INAIL, INAILALIQUOTA, TFR, TFRALIQUOTA, INDIRETTO, NETTO, RIFIMPRESA, RIFTIPOLAVORATORE, RIFCONTRATTO, DATAEROGAZIONE, LIMITEQUANTITAANNUA, ORDINAMENTO, RICORRENTE, CONTRATTUALIZZATO, RIFASSENZA, FIGURATIVO, RECALC, NASCOSTO, NOTE, CUSTOM, GRUPPO) VALUES ('4023', '40', '1', '0', NULL, NULL, NULL, 'Indennità bambino minore di 6 anni', 'Indennità bambino minore di 6 anni', '1', NULL, '1', NULL, NULL, '1', NULL, '1', '1.000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', NULL, NULL, NULL, '1', NULL, '0', NULL);

INSERT INTO ELEMENTORETRIBUTIVO (IDELEMENTO, IDTIPOELEMENTO, IDTIPOELEMENTO2, IDFREQUENZA, IDBASEIMPONIBILE, IMPORTO, PERCENTUALE, DESCRIZIONE, DESCRIZIONE2, IDENTEPREVIDENZIALE, ALIQUOTAPREVIDENZ, IRPEF, IRPEFALIQUOTA, IRPEFALIQUOTASOST, INAIL, INAILALIQUOTA, TFR, TFRALIQUOTA, INDIRETTO, NETTO, RIFIMPRESA, RIFTIPOLAVORATORE, RIFCONTRATTO, DATAEROGAZIONE, LIMITEQUANTITAANNUA, ORDINAMENTO, RICORRENTE, CONTRATTUALIZZATO, RIFASSENZA, FIGURATIVO, RECALC, NASCOSTO, NOTE, CUSTOM, GRUPPO) VALUES ('4024', '40', '1', '0', NULL, NULL, NULL, 'Indennità doppio assistito', 'Indennità doppio assistito', '1', NULL, '1', NULL, NULL, '1', NULL, '1', '1.000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', NULL, NULL, NULL, '1', NULL, '0', NULL);

INSERT INTO ELEMENTORETRIBUTIVO (IDELEMENTO, IDTIPOELEMENTO, IDTIPOELEMENTO2, IDFREQUENZA, IDBASEIMPONIBILE, IMPORTO, PERCENTUALE, DESCRIZIONE, DESCRIZIONE2, IDENTEPREVIDENZIALE, ALIQUOTAPREVIDENZ, IRPEF, IRPEFALIQUOTA, IRPEFALIQUOTASOST, INAIL, INAILALIQUOTA, TFR, TFRALIQUOTA, INDIRETTO, NETTO, RIFIMPRESA, RIFTIPOLAVORATORE, RIFCONTRATTO, DATAEROGAZIONE, LIMITEQUANTITAANNUA, ORDINAMENTO, RICORRENTE, CONTRATTUALIZZATO, RIFASSENZA, FIGURATIVO, RECALC, NASCOSTO, NOTE, CUSTOM, GRUPPO) VALUES ('4025', '40', '1', '0', NULL, NULL, NULL, 'Indennità UNI 11766/2019', 'Indennità UNI 11766/2019', '1', NULL, '1', NULL, NULL, '1', NULL, '1', '1.000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', NULL, NULL, NULL, '1', NULL, '0', NULL);

COMMIT WORK;



-- END Indennità lavoro domestico



ALTER TABLE INPS_TIPORAPPORTO ALTER DESCRIZIONE TYPE VARCHAR(500);

COMMIT WORK;



-- UNIEMENS – vers. 4.22 del 27 novembre 2023



INSERT INTO INPS_TIPOLAVORATORE (IDINPSTIPOLAVORATORE, DESCRIZIONE, FONDOSPECIALE, DATASCADENZA) VALUES ('SE', 'Lavoratore sportivo in apprendistato di primo livello. Circolare n. 88/2023.', NULL, NULL);

INSERT INTO INPS_TIPOLAVORATORE (IDINPSTIPOLAVORATORE, DESCRIZIONE, FONDOSPECIALE, DATASCADENZA) VALUES ('SF', 'Lavoratore sportivo in apprendistato di terzo livello. Circolare n. 88/2023.', NULL, NULL);

INSERT INTO INPS_TIPOLAVORATORE (IDINPSTIPOLAVORATORE, DESCRIZIONE, FONDOSPECIALE, DATASCADENZA) VALUES ('SP', 'Lavoratore sportivo in apprendistato professionalizzante. Circolare n. 91/2023.', NULL, NULL);

COMMIT WORK;



UPDATE INPS_TIPOLAVORATORE SET DESCRIZIONE = 'Sportivo iscritto a forme pensionistiche obbligatorie dopo il 31.12.1995. Circolare n. 88/2023.' WHERE IDINPSTIPOLAVORATORE = 'ST';

UPDATE INPS_TIPOLAVORATORE SET DESCRIZIONE = 'Sportivo iscritto a forme pensionistiche obbligatorie al 31.12.1995. Circolare n. 88/2023.' WHERE IDINPSTIPOLAVORATORE = 'SZ';

COMMIT WORK;



UPDATE INPS_TIPOCONTRIBUZIONE SET DESCRIZIONE = 'Sportivo soggetto alla contribuzione dello 0,20% al Fondo di garanzia TFR ai sensi della legge n. 297/1982. Msg. 5327/2015 e Circolare n. 88/2023.' WHERE IDINPSTIPOCONTRIBUZIONE = 'L1';

COMMIT WORK;



INSERT INTO SP_QUALIFICA (IDQUALIFICA, DESCRIZIONE) VALUES ('778', 'atleta del settore dilettantistico art. 25 co. 1 d.lgs n. 36/2021. Circolare n. 88/2023.');

INSERT INTO SP_QUALIFICA (IDQUALIFICA, DESCRIZIONE) VALUES ('779', 'allenatore del settore dilettantistico art. 25 co. 1 d.lgs n. 36/2021. Circolare n. 88/2023.');

INSERT INTO SP_QUALIFICA (IDQUALIFICA, DESCRIZIONE) VALUES ('780', 'istruttore del settore dilettantistico art. 25 co. 1 d.lgs n. 36/2021. Circolare n. 88/2023.');

INSERT INTO SP_QUALIFICA (IDQUALIFICA, DESCRIZIONE) VALUES ('781', 'direttore tecnico del settore dilettantistico art. 25 co. 1 d.lgs n. 36/2021. Circolare n. 88/2023');

INSERT INTO SP_QUALIFICA (IDQUALIFICA, DESCRIZIONE) VALUES ('782', 'direttore sportivo del settore dilettantistico art. 25 co. 1 d.lgs n. 36/2021. Circolare n. 88/2023.');

INSERT INTO SP_QUALIFICA (IDQUALIFICA, DESCRIZIONE) VALUES ('783', 'preparatore atletico del settore dilettantistico art. 25 co. 1 d.lgs n. 36/2021. Circolare n. 88/2023.');

INSERT INTO SP_QUALIFICA (IDQUALIFICA, DESCRIZIONE) VALUES ('784', 'direttore di gara art. 25 co. 1 d.lgs n. 36/2021. Circolare n. 88/2023.');

INSERT INTO SP_QUALIFICA (IDQUALIFICA, DESCRIZIONE) VALUES ('785', 'tesserato, ai sensi dell’articolo 15, che svolge verso un corrispettivo le mansioni rientranti, sulla base dei regolamenti dei singoli enti affilianti, tra quelle necessarie per lo svolgimento di attività sportiva nel settore dilettantistico art. 25 co. 1 d.lgs n. 36/2021. Circolare n. 88/2023.');

INSERT INTO SP_QUALIFICA (IDQUALIFICA, DESCRIZIONE) VALUES ('786', 'istruttore del settore professionistico art. 25 co. 1 d.lgs n. 36/2021. Circolare n. 88/2023.');

INSERT INTO SP_QUALIFICA (IDQUALIFICA, DESCRIZIONE) VALUES ('787', 'direttore tecnico del settore professionistico art. 25 co. 1 d.lgs n. 36/2021. Circolare n. 88/2023.');

INSERT INTO SP_QUALIFICA (IDQUALIFICA, DESCRIZIONE) VALUES ('788', 'avente il significato tesserato, ai sensi dell’articolo 15, che svolge verso un corrispettivo le mansioni rientranti, sulla base dei regolamenti dei singoli enti affilianti, tra quelle necessarie per lo svolgimento di attività sportiva nel settore professionistico art. 25 co. 1 d.lgs n. 36/2021. Circolare n. 88/2023.');

INSERT INTO SP_QUALIFICA (IDQUALIFICA, DESCRIZIONE) VALUES ('791', 'istruttori presso impianti e circoli sportivi di qualsiasi genere, palestre, sale fitness, stadi, sferisteri, campi sportivi, autodromi – optanti. Circolare n. 88/2023.');

INSERT INTO SP_QUALIFICA (IDQUALIFICA, DESCRIZIONE) VALUES ('795', 'direttori tecnici presso società sportive – optanti. Circolare n. 88/2023.');

INSERT INTO SP_QUALIFICA (IDQUALIFICA, DESCRIZIONE) VALUES ('797', 'istruttori presso società sportive – optanti. Circolare n. 88/2023.');

COMMIT WORK;



INSERT INTO DR_TIPOCAUSALECONTRIBAGG (IDCAUSALE, DESCRIZIONE, CONTRIBUTOLAV, CONTRIBUTODAT, TIPOMOTIVO, VALIDODAL, VALIDOAL) VALUES ('M045', 'Versamento contributo ridotto FIS periodo gennaio – giugno 2022 aliquota 0,15% (datori di lavoro che, nel semestre di riferimento occupano mediamente fino a 5 dipendenti). Circolare n. 91/2023.', NULL, NULL, '1', NULL, NULL);

INSERT INTO DR_TIPOCAUSALECONTRIBAGG (IDCAUSALE, DESCRIZIONE, CONTRIBUTOLAV, CONTRIBUTODAT, TIPOMOTIVO, VALIDODAL, VALIDOAL) VALUES ('M046', 'Versamento contributo ridotto FIS periodo gennaio – giugno 2022 aliquota 0,55% (datori di lavoro che, nel semestre di riferimento occupano mediamente da più di 5 dipendenti a 15 dipendenti). Circolare n. 91/2023.', NULL, NULL, '1', NULL, NULL);

INSERT INTO DR_TIPOCAUSALECONTRIBAGG (IDCAUSALE, DESCRIZIONE, CONTRIBUTOLAV, CONTRIBUTODAT, TIPOMOTIVO, VALIDODAL, VALIDOAL) VALUES ('M048', 'Versamento arretrati quota contribuzione IVS e contribuzioni minori - Sportivo settore dilettantistico. Circolare n. 88/2023.', NULL, NULL, '1', NULL, NULL);

INSERT INTO DR_TIPOCAUSALECONTRIBAGG (IDCAUSALE, DESCRIZIONE, CONTRIBUTOLAV, CONTRIBUTODAT, TIPOMOTIVO, VALIDODAL, VALIDOAL) VALUES ('M049', 'Versamento arretrati contribuzione apprendisti sportivi di primo o terzo livello. Circolare n. 88/2023.', NULL, NULL, '1', NULL, NULL);

INSERT INTO DR_TIPOCAUSALECONTRIBAGG (IDCAUSALE, DESCRIZIONE, CONTRIBUTOLAV, CONTRIBUTODAT, TIPOMOTIVO, VALIDODAL, VALIDOAL) VALUES ('M050', 'Versamento arretrati quota contribuzioni minori - Sportivo professionista. Circolare n. 88/2023.', NULL, NULL, '1', NULL, NULL);

INSERT INTO DR_TIPOCAUSALECONTRIBAGG (IDCAUSALE, DESCRIZIONE, CONTRIBUTOLAV, CONTRIBUTODAT, TIPOMOTIVO, VALIDODAL, VALIDOAL) VALUES ('M051', 'Versamento contributo ridotto FIS periodo gennaio – giugno 2022 aliquota 0,69% (datori di lavoro che, nel semestre di riferimento occupano mediamente più di 15 dipendenti). Circolare n. 91/2023.', NULL, NULL, '1', NULL, NULL);

INSERT INTO DR_TIPOCAUSALECONTRIBAGG (IDCAUSALE, DESCRIZIONE, CONTRIBUTOLAV, CONTRIBUTODAT, TIPOMOTIVO, VALIDODAL, VALIDOAL) VALUES ('M074', 'Contributo aggiuntivo in misura fissa (10 euro) Art. 9, co. 4, DI n. 103594, 9 agosto 2019. Messaggio n. 4104/2023.', NULL, NULL, '1', NULL, NULL);

INSERT INTO DR_TIPOCAUSALECONTRIBAGG (IDCAUSALE, DESCRIZIONE, CONTRIBUTOLAV, CONTRIBUTODAT, TIPOMOTIVO, VALIDODAL, VALIDOAL) VALUES ('M075', 'Rec. Arretrati contributo aggiuntivo malattia breve Art. 9, co. 4, DI n. 103594, 9 agosto 2019. Messaggio n. 4104/2023.', NULL, NULL, '1', NULL, NULL);

COMMIT WORK;



INSERT INTO TIPOVARRETR (IDTIPOVARRETR, DESCRIZIONE) VALUES ('MANCE', 'Significato: indica che l’imponibile del mese della denuncia originaria sul quale deve agire la variabile retributiva deve essere diminuito dell’importo delle mance oggetto dell’agevolazione. Utilizzo: può essere utilizzata solamente nel mese di dicembre 2023 (utilizzabile a seguito della pubblicazione di specifico messaggio/circolare). Ai fini del conto assicurativo individuale, determina la diminuzione dell’imponibile della denuncia originaria, a partire da quella con decorrenza “2023-01”, di un importo della mancia indicato nell’elemento <ImponibileVarRetr>. Ai fini del titolo contributivo, determina un recupero contributivo sulla denuncia corrente pari all’importo indicato nell’elemento <ContributoVarRetr>. Devono quindi essere compilati entrambi gli elementi <ImponibileVarRetr> e <ContributoVarRetr>. Si ricorda che l’imponibile originario della competenza specifica deve essere maggiore uguale all’importo presente in <ImponibileVarRetr>.');

INSERT INTO TIPOVARRETR (IDTIPOVARRETR, DESCRIZIONE) VALUES ('MANDIM', 'Significato: indica che l’imponibile eccedente il massimale del mese della denuncia originaria sul quale deve agire la variabile retributiva deve essere diminuito del valore indicato, in conseguenza alle mance. Utilizzo: : può essere utilizzata solamente nel mese di dicembre 2023 (utilizzabile a seguito della pubblicazione di specifico messaggio/circolare). Determina la diminuzione dell’imponibile eccedente il massimale di un importo della mancia indicato nell’elemento <ImponibileVarRetr>. Ai fini del titolo contributivo, determina un recupero contributivo sulla denuncia corrente pari all’importo indicato nell’elemento <ContributoVarRetr>. Devono quindi essere compilati entrambi gli elementi <ImponibileVarRetr> e <ContributoVarRetr>. Se evidenzia che: • se l’eccedenza massimale presente per la competenza <AnnoMeseVarRetr> è maggiore uguale dell’importo della mancia per la medesima competenza, va utilizzata esclusivamente tale variabile retributiva, senza utilizzare la variabile MANCE, per abbattere l’importo della mancia; • se l’eccedenza massimale presente per la competenza <AnnoMeseVarRetr> è minore dell’importo della mancia per la medesima competenza, si utilizza tale variabile per annullare l’eccedenza massimale e la variabile MANCE per abbattere la parte restante dell’importo della mancia, con la considerazione riportata nella nota del punto precedente.');

INSERT INTO TIPOVARRETR (IDTIPOVARRETR, DESCRIZIONE) VALUES ('MANMAS', 'Significato: permette di riportare parte dell’eccedenza massimale, presente nelle denunce di competenze successive a quelle interessate dalle mance, nell’imponibile, per effetto della diminuzione degli imponibili delle competenze precedenti. Utilizzo: può essere utilizzata solamente nel mese di dicembre 2023 (utilizzabile a seguito della pubblicazione di specifico messaggio/circolare). Ai fini del conto assicurativo individuale, determina l’aumento dell’imponibile della denuncia originaria e la corrispondente diminuzione dell’imponibile eccedente il massimale, in funzione di quanto indicato nell’elemento <ImponibileVarRetr>. Ai fini del titolo contributivo, determina un ulteriore versamento della sola quota IVS, pari all’importo indicato nell’elemento <ContributoVarRetr>. Devono quindi essere compilati entrambi gli elementi <ImponibileVarRetr> e <ContributoVarRetr>.');

COMMIT WORK;



UPDATE TIPOVARRETR SET DESCRIZIONE = 'Significato: indica che l’imponibile del mese della denuncia originaria sul quale deve agire la variabile retributiva deve essere diminuito del valore indicato, in conseguenza del fringe benefit. Utilizzo: può essere utilizzata solamente nel mese di dicembre 2022 (Messaggio n. 4616/2022) e nel mese di dicembre 2023 (Messaggio n. 3884/2023). Ai fini del conto assicurativo individuale, determina la diminuzione dell’imponibile della denuncia originaria, a partire da quella con decorrenza “2022-01”, di un importo del fringe benefit indicato nell’elemento <ImponibileVarRetr>. Ai fini del titolo contributivo, determina un recupero contributivo sulla denuncia corrente pari all’importo indicato nell’elemento <ContributoVarRetr>. Devono quindi essere compilati entrambi gli elementi <ImponibileVarRetr> e <ContributoVarRetr>. Si ricorda che l’imponibile originario della competenza specifica deve essere maggiore uguale all’importo presente in <ImponibileVarRetr>.' WHERE IDTIPOVARRETR = 'FRIBEN';

UPDATE TIPOVARRETR SET DESCRIZIONE = 'Significato: indica che l’imponibile eccedente il massimale del mese della denuncia originaria sul quale deve agire la variabile retributiva deve essere diminuito del valore indicato, in conseguenza del fringe benefit. Utilizzo: può essere utilizzata solamente nel mese di dicembre 2022 (Messaggio n. 4616/2022) e nel mese di dicembre 2023 (Messaggio n. 3884/2023). Determina la diminuzione dell’imponibile eccedente il massimale di un importo del fringe benefit indicato nell’elemento <ImponibileVarRetr>. Ai fini del titolo contributivo, determina un recupero contributivo sulla denuncia corrente pari all’importo indicato nell’elemento <ContributoVarRetr>. Devono quindi essere compilati entrambi gli elementi <ImponibileVarRetr> e <ContributoVarRetr>. Se evidenzia che: • se l’eccedenza massimale presente per la competenza <AnnoMeseVarRetr> è maggiore uguale dell’importo del fringe benefit per la medesima competenza, va utilizzata esclusivamente tale variabile retributiva, senza utilizzare la variabile FRIBEN, per abbattere l’importo del fringe benefit; • se l’eccedenza massimale presente per la competenza <AnnoMeseVarRetr> è minore dell’importo del fringe benefit per la medesima competenza, si utilizza tale variabile per annullare l’eccedenza massimale e la variabile FRIBEN per abbattere la parte restante dell’importo del fringe benefit, con la considerazione riportata nella nota del punto precedente.' WHERE IDTIPOVARRETR = 'FRBDIM';

UPDATE TIPOVARRETR SET DESCRIZIONE = 'Significato: permette di riportare parte dell’eccedenza massimale, presente nelle denunce di competenze successive a quelle interessate dai fringe benefit, nell’imponibile, per effetto della diminuzione degli imponibili delle competenze precedenti. Utilizzo: può essere utilizzata solamente nel mese di dicembre 2022 (Messaggio n. 4616/2022) e nel mese di dicembre 2023 (Messaggio n. 3884/2023). Ai fini del conto assicurativo individuale, determina l’aumento dell’imponibile della denuncia originaria e la corrispondente diminuzione dell’imponibile eccedente il massimale, in funzione di quanto indicato nell’elemento <ImponibileVarRetr>. Ai fini del titolo contributivo, determina un ulteriore versamento della sola quota IVS, pari all’importo indicato nell’elemento <ContributoVarRetr>. Devono quindi essere compilati entrambi gli elementi <ImponibileVarRetr> e <ContributoVarRetr>.' WHERE IDTIPOVARRETR = 'FRBMAS';

UPDATE TIPOVARRETR SET DESCRIZIONE = 'Significato: indica, per gli sportivi professionisti (<TipoLavoratore> = “ST”, “SZ”, “SE”, “SF”, “SP”), l’errato conteggio, per eccesso, della quota dell’imponibile eccedente il primo massimale giornaliero/annuo, vale a dire il massimale superato il quale opera l’obbligo della contribuzione IVS di solidarietà. Ciò comporta l’aumento dell’imponibile da assoggettare alla contribuzione IVS nella denuncia originaria. Utilizzo: può essere utilizzata in tutte le denunce dell’anno. Ai fini del conto assicurativo individuale, determina l’aumento dell’imponibile da assoggettare alla contribuzione IVS, con la corrispondente diminuzione di quello eccedente il primo massimale giornaliero/annuo, in funzione di quanto indicato nell’elemento <ImponibileVarRetr>.Ai fini del titolo contributivo, determina un ulteriore versamento della sola quota IVS, pari all’importo indicato nell’elemento <ContributoVarRetr>. Il predetto importo è la differenza fra la misura della contribuzione ordinaria sull’imponibile non eccedente il primo massimale e quella della contribuzione di solidarietà sull’imponibile compreso fra il primo massimale giornaliero/annuo e il secondo massimale giornaliero/annuo. Dovranno quindi essere compilati entrambi gli elementi <ImponibileVarRetr> e <ContributoVarRetr>.' WHERE IDTIPOVARRETR = 'AUMSP1';

UPDATE TIPOVARRETR SET DESCRIZIONE = 'Significato: indica, per gli sportivi professionisti (<TipoLavoratore> “ST” ,e “SZ”, “SE”, “SF”, “SP”), l’errato conteggio, per difetto, della quota dell’imponibile eccedente il primo massimale giornaliero/annuo, vale a dire il massimale superato il quale opera l’obbligo della contribuzione IVS di solidarietà. Ciò comporta la diminuzione dell’imponibile già assoggettato per eccesso alla contribuzione IVS nella denuncia originaria Utilizzo: può essere utilizzata in tutte le denunce dell’anno. Ai fini del conto assicurativo individuale, determina la diminuzione dell’imponibile assoggettato alla contribuzione IVS (di cui all’elemento <Imponibile> di <Datiretributivi>), con il corrispondente aumento di quello eccedente il primo massimale giornaliero/annuo (di cui all’elemento <ImponibileEccMassSport1> di <DatiParticolari>), in funzione di quanto indicato nell’elemento <ImponibileVarRetr>. Ai fini del titolo contributivo, 137 di 362 determina un recupero, per la sola quota IVS, pari all’importo indicato nell’elemento <ContributoVarRetr>. Si richiama l’attenzione sulla circostanza che il predetto importo è pari alla misura della contribuzione di solidarietà sull’imponibile compreso fra il primo e il secondo massimale giornaliero/annuo oggetto di variazione in diminuzione. Dovranno quindi essere compilati entrambi gli elementi <ImponibileVarRetr> e <ContributoVarRetr>.' WHERE IDTIPOVARRETR = 'DIMSP1';

UPDATE TIPOVARRETR SET DESCRIZIONE = 'Significato: indica, per gli sportivi professionisti iscritti (<TipoLavoratore> = “ST”, “SZ”, “SE”, “SF”, “SP”), l’errato conteggio, per eccesso, della quota dell’imponibile eccedente il secondo massimale giornaliero/annuo, vale a dire il massimale superato il quale non opera alcun obbligo contributivo ai fini IVS. Ciò comporta l’incremento dell’imponibile da assoggettare alla contribuzione IVS di solidarietà nella denuncia originaria. Utilizzo: può essere utilizzata in tutte le denunce dell’anno. Ai fini del conto assicurativo individuale, determina, nella denuncia originaria, l’incremento dell’imponibile da assoggettare alla contribuzione IVS di solidarietà compreso fra il primo e il secondo massimale giornaliero/annuo, con la corrispondente diminuzione di quello eccedente il secondo massimale giornaliero/annuo, in funzione di quanto indicato nell’elemento <ImponibileVarRetr>. Ai fini del titolo contributivo, determina un ulteriore versamento della sola quota IVS di solidarietà, pari all’importo indicato nell’elemento <ContributoVarRetr>. Si richiama l’attenzione sulla circostanze che il predetto importo è pari alla misura della contribuzione di solidarietà sull’imponibile compreso fra il primo e il secondo massimale giornaliero/annuo oggetto di variazione in aumento. Dovranno quindi essere compilati entrambi gli elementi <ImponibileVarRetr> e <ContributoVarRetr>.' WHERE IDTIPOVARRETR = 'AUMSP2';

UPDATE TIPOVARRETR SET DESCRIZIONE = 'Significato: indica, per gli sportivi professionisti iscritti (<TipoLavoratore> = “ST”, “SZ”, “SE”, “SF”, “SP”), l’errato conteggio, per difetto, della quota dell’imponibile eccedente il secondo massimale giornaliero/annuo, vale a dire il massimale superato il quale non opera alcun obbligo contributivo ai fini IVS. Ciò comporta la diminuzione dell’imponibile già assoggettato per eccesso alla contribuzione IVS di solidarietà nella denuncia originaria. Utilizzo: può essere utilizzata in tutte le denunce dell’anno. Ai fini del conto assicurativo individuale, determina la diminuzione dell’imponibile assoggettato alla contribuzione IVS di solidarietà compreso fra il primo e il secondo massimale giornaliero/annuo, con il corrispondente aumento di quello eccedente il secondo massimale giornaliero/annuo, in funzione di quanto indicato nell’elemento <ImponibileVarRetr>. Ai fini del titolo contributivo, determina un recupero, per la sola quota IVS, pari all’importo indicato nell’elemento <ContributoVarRetr>. Si richiama l’attenzione sulla circostanza che il predetto importo è pari alla misura della contribuzione di solidarietà sull’imponibile compreso fra il primo e il secondo massimale giornaliero/annuo oggetto di variazione in diminuzione. Dovranno quindi essere compilati entrambi gli elementi <ImponibileVarRetr> e <ContributoVarRetr>.' WHERE IDTIPOVARRETR = 'DIMSP2';

COMMIT WORK;



INSERT INTO DA_TIPOCONTRIBASSIST (IDTIPOCONTRIBASSIST, DESCRIZIONE) VALUES ('W476', 'Ass. Contr. Confederazione Nazionale Artigiani E Piccoli Imprenditori (Co.N.A.P.I Nazionale). (utilizzabile a seguito della pubblicazione di specifico messaggio/circolare)');

COMMIT WORK;



INSERT INTO RS_FEDERAZSIND (IDRSFEDERAZSIND, DESCRIZIONE) VALUES ('F00197', 'CUB Informazione e Spettacolo. (Utilizzabile solo a seguito di emanazione di apposito messaggio o circolare.)');

INSERT INTO RS_FEDERAZSIND (IDRSFEDERAZSIND, DESCRIZIONE) VALUES ('F00198', 'COBAS PT–CUB USB. (Utilizzabile solo a seguito di emanazione di apposito messaggio o circolare.)');

COMMIT WORK;



INSERT INTO INPS_TIPORAPPORTO (IDINPSTIPORAPPORTO, DESCRIZIONE, DESCRIZIONE2, DATASCADENZA) VALUES ('D1', 'Collaborazioni coordinate e continuative D.Lgs n. 36/2021 art. 35, comma 8 quinquies- società e associazioni sportive dilettantistiche ed enti terzo settore. Collaboratori non assicurati presso altre forme di previdenza obbligatoria o titolari di pensione diretta – riforma sport. Circolare n. 88/2023.', 'Tipo rapp. generico', NULL);

INSERT INTO INPS_TIPORAPPORTO (IDINPSTIPORAPPORTO, DESCRIZIONE, DESCRIZIONE2, DATASCADENZA) VALUES ('D2', 'Collaborazioni coordinate e continuative D.Lgs n. 36/2021 art. 35, comma 8 quinquies - società e associazioni sportive dilettantistiche ed enti terzo settore – aliquota prestazioni non pensionistiche. Circolare n. 88/2023.', 'Tipo rapp. generico', NULL);

INSERT INTO INPS_TIPORAPPORTO (IDINPSTIPORAPPORTO, DESCRIZIONE, DESCRIZIONE2, DATASCADENZA) VALUES ('D3', 'Collaborazioni coordinate e continuative D.Lgs n. 36/2021 art. 35, comma 8 uinquies - coperti da altra forma di previdenza obbligatoria - società e associazioni sportive dilettantistiche ed enti terzo settore – già assicurati/pensionati. Circolare n. 88/2023.', 'Tipo rapp. generico', NULL);

INSERT INTO INPS_TIPORAPPORTO (IDINPSTIPORAPPORTO, DESCRIZIONE, DESCRIZIONE2, DATASCADENZA) VALUES ('D4', 'Collaborazioni coordinate e continuative rapporti amministativo gestionali D.Lgs. 36/2021 art. 37. Circolare n. 88/2023.', 'Tipo rapp. generico', NULL);

INSERT INTO INPS_TIPORAPPORTO (IDINPSTIPORAPPORTO, DESCRIZIONE, DESCRIZIONE2, DATASCADENZA) VALUES ('D5', 'Collaborazioni coordinate e continuative D.Lgs. 36/2021 art. 37, aliquota prestazioni non pensionistiche. Circolare n. 88/2023.', 'Tipo rapp. generico', NULL);

INSERT INTO INPS_TIPORAPPORTO (IDINPSTIPORAPPORTO, DESCRIZIONE, DESCRIZIONE2, DATASCADENZA) VALUES ('D6', 'Collaborazioni coordinate e continuative rapporti amministativo gestionali D.Lgs. 36/2021 art. 37 coperti da altra forma di previdenza obbligatoria. Circolare n. 88/2023.', 'Tipo rapp. generico', NULL);

INSERT INTO INPS_TIPORAPPORTO (IDINPSTIPORAPPORTO, DESCRIZIONE, DESCRIZIONE2, DATASCADENZA) VALUES ('D7', 'Lavoratori dipendenti delle amministrazioni pubbliche autorizzati ad attività retribuita coperti da altra forma di previdenza obbligatoria. Circolare n. 88/2023.', 'Tipo rapp. generico', NULL);

COMMIT WORK;



INSERT INTO INPS_ATTIVITA (IDINPSATTIVITA, DESCRIZIONE, DATASCADENZA) VALUES ('21', 'Allenatore del settore dilettantistico. Circolare n. 88/2023.', NULL);

INSERT INTO INPS_ATTIVITA (IDINPSATTIVITA, DESCRIZIONE, DATASCADENZA) VALUES ('22', 'Istruttore. Circolare n. 88/2023.', NULL);

INSERT INTO INPS_ATTIVITA (IDINPSATTIVITA, DESCRIZIONE, DATASCADENZA) VALUES ('23', 'Direttore tecnico. Circolare n. 88/2023.', NULL);

INSERT INTO INPS_ATTIVITA (IDINPSATTIVITA, DESCRIZIONE, DATASCADENZA) VALUES ('24', 'Direttore sportivo. Circolare n. 88/2023.', NULL);

INSERT INTO INPS_ATTIVITA (IDINPSATTIVITA, DESCRIZIONE, DATASCADENZA) VALUES ('25', 'Preparatore atletico. Circolare n. 88/2023.', NULL);

INSERT INTO INPS_ATTIVITA (IDINPSATTIVITA, DESCRIZIONE, DATASCADENZA) VALUES ('26', 'Direttore di gara. Circolare n. 88/2023.', NULL);

INSERT INTO INPS_ATTIVITA (IDINPSATTIVITA, DESCRIZIONE, DATASCADENZA) VALUES ('27', 'Tesserato. Circolare n. 88/2023.', NULL);

INSERT INTO INPS_ATTIVITA (IDINPSATTIVITA, DESCRIZIONE, DATASCADENZA) VALUES ('28', 'Attività amministrativo-gestionale. Circolare n. 88/2023.', NULL);

INSERT INTO INPS_ATTIVITA (IDINPSATTIVITA, DESCRIZIONE, DATASCADENZA) VALUES ('29', 'Attività sportiva retribuita dipendenti pubbliche amministrazioni. Circolare n. 88/2023.', NULL);

INSERT INTO INPS_ATTIVITA (IDINPSATTIVITA, DESCRIZIONE, DATASCADENZA) VALUES ('30', 'Atleta del settore dilettantistico. Circolare n. 88/2023.', NULL);

COMMIT WORK;



INSERT INTO PA_TIPORECUPERO (IDTIPORECUPERO, DESCRIZIONE) VALUES ('57', 'Emolumento di cui all''articolo 1, comma 609, secondo periodo, della legge 30 dicembre 2021 – D.L. 18 ottobre 2023, n. 145, art.3. Messaggio n. 4191/2023.');

COMMIT WORK;



---- Non indicato nel changelog ma presente nella documentazione

INSERT INTO DR_TIPOCAUSALECONTRIBAGG (IDCAUSALE, DESCRIZIONE, CONTRIBUTOLAV, CONTRIBUTODAT, TIPOMOTIVO, VALIDODAL, VALIDOAL) VALUES ('L107', 'Anticipo rinnovo contratti pubblici art. 3 del decreto-legge 18 ottobre 2023, n. 145. Messaggio n. 4191/2023.', NULL, NULL, '1', NULL, NULL);

COMMIT WORK;



INSERT INTO INPS_ALIQUOTACOLLABORATORE (IDINPSALIQUOTA, INPSALIQUOTAANNO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('2500', '2023', 'Collaboratori sportivi di cui al D.Lgs 36/2021 non assicurati presso altre forme pensionistiche obbligatorie o non titolari di pensione diretta, per il tipo rapporto D1, in presenza del codice tipo attività 21-22-23-24-25-26-27-30 (Circ.n.88/2023), su imponibile inferiore al massimale di € 113.520,00 (Circ. n. 12/2023).', NULL, NULL);

INSERT INTO INPS_ALIQUOTACOLLABORATORE (IDINPSALIQUOTA, INPSALIQUOTAANNO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('0203', '2023', 'Collaboratori sportivi di cui al D.Lgs 36/2021 non assicurati presso altre forme pensionistiche obbligatorie o non titolari di pensione diretta, per il tipo rapporto D1, in presenza del codice tipo attività 21-22-23-24-25-26-27-30 (Circ.n.88/2023), su imponibile inferiore al massimale di € 113.520,00 (Circ. n. 12/2023).', NULL, NULL);

INSERT INTO INPS_ALIQUOTACOLLABORATORE (IDINPSALIQUOTA, INPSALIQUOTAANNO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('3300', '2023', 'Collaboratori sportivi di cui al D.Lgs 36/2021 non assicurati presso altre forme pensionistiche obbligatorie o non titolari di pensione diretta, per il tipo rapporto D1, in presenza del codice tipo attività 21-22-23-24-25-26-27-30 (Circ.n.88/2023), su imponibile inferiore al massimale di € 113.520,00 (Circ. n. 12/2023).', NULL, NULL);

COMMIT WORK;



INSERT INTO INPS_ALIQUOTACOLLDETTAGLIO (IDINPSALIQUOTA, INPSALIQUOTAANNO, IVS, ALTRAALIQUOTA1, ALTRAALIQUOTA2, REDDITODA, REDDITOA, MASSIMALEANNUO, VALIDODAL, VALIDOAL) VALUES ('2500', '2023', '0.250000', '0.000000', NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO INPS_ALIQUOTACOLLDETTAGLIO (IDINPSALIQUOTA, INPSALIQUOTAANNO, IVS, ALTRAALIQUOTA1, ALTRAALIQUOTA2, REDDITODA, REDDITOA, MASSIMALEANNUO, VALIDODAL, VALIDOAL) VALUES ('0203', '2023', '0.020300', '0.000000', NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO INPS_ALIQUOTACOLLDETTAGLIO (IDINPSALIQUOTA, INPSALIQUOTAANNO, IVS, ALTRAALIQUOTA1, ALTRAALIQUOTA2, REDDITODA, REDDITOA, MASSIMALEANNUO, VALIDODAL, VALIDOAL) VALUES ('3300', '2023', '0.330000', '0.000000', NULL, NULL, NULL, NULL, NULL, NULL);

COMMIT WORK;



---- Contratti CNEL



INSERT INTO CNEL_CONTRATTO (IDCNELCONTRATTO, DESCRIZIONE, IDCNELSETTORE, CONTRAENTIDATORIALI, CONTRAENTISINDACALI, VALIDOAL) VALUES ('B372', 'CCNL per i lavoratori dell''industria della Gomma e della Plastica', 'B', 'CONFLAVORO PMI', 'FESICA CONFSAL; CONFSAL', NULL);

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'C01X', DESCRIZIONE = 'imprese settore metalmeccanico ed istallazione impianti', IDCNELSETTORE = 'C', CONTRAENTIDATORIALI = 'CONAPI; FDI CONAPI; AIS', CONTRAENTISINDACALI = 'CONFINTESA', VALIDOAL = '2023-10-01' WHERE IDCNELCONTRATTO = 'C01X';

INSERT INTO CNEL_CONTRATTO (IDCNELCONTRATTO, DESCRIZIONE, IDCNELSETTORE, CONTRAENTIDATORIALI, CONTRAENTISINDACALI, VALIDOAL) VALUES ('C059', 'CCNL Settore Metalmeccanico', 'C', 'UAI', 'FAILM', NULL);

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'D01B', DESCRIZIONE = 'CCNL per l''industria tessile', IDCNELSETTORE = 'D', CONTRAENTIDATORIALI = 'FEDERDAT; FLAITS', CONTRAENTISINDACALI = 'CONSIL; CIU', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'D01B';

INSERT INTO CNEL_CONTRATTO (IDCNELCONTRATTO, DESCRIZIONE, IDCNELSETTORE, CONTRAENTIDATORIALI, CONTRAENTISINDACALI, VALIDOAL) VALUES ('D02D', 'CCNL Moda Artigianato per gli addetti della Pelletteria, Calzaturiero, Tessile, Abbigliamento e affini', 'D', 'ANAP; ALIM; VALITALIA PMI', 'SELP; SLE', NULL);

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'F01I', DESCRIZIONE = 'PMI, aziende artigiane e cooperative del settore edile affini', IDCNELSETTORE = 'F', CONTRAENTIDATORIALI = 'FEDARCOM; CIFA', CONTRAENTISINDACALI = 'FIADEL SP', VALIDOAL = '2023-10-01' WHERE IDCNELCONTRATTO = 'F01I';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'F05A', DESCRIZIONE = 'CCNL per i dipendenti del settore del legno, arredamento, mobili, aziende artigiane e delle piccole e medie imprese, dei consorzi costituiti da artigiani e da piccole e medie imprese anche in forma cooperativistica', IDCNELSETTORE = 'F', CONTRAENTIDATORIALI = 'UNIMPRESA; UNIAP', CONTRAENTISINDACALI = 'CONFAIL; FAILCLEA CONFAIL; UPLA CONFCONTRIBUENTI', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'F05A';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'F08E', DESCRIZIONE = 'Micro, PMI, Artigiane del settore edile', IDCNELSETTORE = 'F', CONTRAENTIDATORIALI = 'FEDAPI CONAPI', CONTRAENTISINDACALI = 'CONFINTESA Edilizia', VALIDOAL = '2023-10-01' WHERE IDCNELCONTRATTO = 'F08E';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'G511', DESCRIZIONE = 'dipendenti dei fotolaboratori conto terzi', IDCNELSETTORE = 'G', CONTRAENTIDATORIALI = 'ASSOFOTOLABO', CONTRAENTISINDACALI = 'SLC CGIL; FISTEL CISL; UILCOM UIL', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'G511';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'H022', DESCRIZIONE = 'aziende del commercio, servizi e trasporti', IDCNELSETTORE = 'H', CONTRAENTIDATORIALI = 'FEDARCOM; CIFA', CONTRAENTISINDACALI = 'FIADEL SP', VALIDOAL = '2023-10-01' WHERE IDCNELCONTRATTO = 'H022';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'H024', DESCRIZIONE = 'CCNL per i quadri direttivi, impiegati ed operai dipendenti dei settori del Commercio', IDCNELSETTORE = 'H', CONTRAENTIDATORIALI = 'ANPIT; CONFIMPRENDITORI; UNICA', CONTRAENTISINDACALI = 'CISAL TERZIARIO; CISAL', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'H024';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'H02W', DESCRIZIONE = 'CCNL per i dipendenti delle PMI esercenti attività nel settore Commercio, Servizi, Turismo e Pubblici Esercizi', IDCNELSETTORE = 'H', CONTRAENTIDATORIALI = 'CONFIMPRESAITALIA', CONTRAENTISINDACALI = 'CONFINTESA; CONFINTESA TUCS', VALIDOAL = '2023-10-01' WHERE IDCNELCONTRATTO = 'H02W';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'H03A', DESCRIZIONE = 'intersettoriale: Commercio, Terziario, Distribuzione, Servizi, Pubblici Esercizi e Turismo', IDCNELSETTORE = 'H', CONTRAENTIDATORIALI = 'CIFA', CONTRAENTISINDACALI = 'CONFSAL', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'H03A';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'H044', DESCRIZIONE = 'Aziende e cooperative terziario e servizi', IDCNELSETTORE = 'H', CONTRAENTIDATORIALI = 'FEDARCOM; CIFA', CONTRAENTISINDACALI = 'FIADEL', VALIDOAL = '2023-10-01' WHERE IDCNELCONTRATTO = 'H044';

INSERT INTO CNEL_CONTRATTO (IDCNELCONTRATTO, DESCRIZIONE, IDCNELSETTORE, CONTRAENTIDATORIALI, CONTRAENTISINDACALI, VALIDOAL) VALUES ('H04U', 'CCNL per i dipendenti delle imprese operanti nei settori Servizi e Turismo', 'H', 'COPIMI; FEDERAZIONE EUROPEA PIER GIORGIO FRASSATI', 'FISTEC', NULL);

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'H051', DESCRIZIONE = 'imprese esercenti l''attività nel settore turismo', IDCNELSETTORE = 'H', CONTRAENTIDATORIALI = 'FEDARCOM; CIFA', CONTRAENTISINDACALI = 'FIADEL SP', VALIDOAL = '2023-10-01' WHERE IDCNELCONTRATTO = 'H051';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'H05J', DESCRIZIONE = 'settore turismo e pubblici esercizi', IDCNELSETTORE = 'H', CONTRAENTIDATORIALI = 'UAI; CONFAE; UNIAP', CONTRAENTISINDACALI = 'CONFENAL; FSE COBAS', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'H05J';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'H05S', DESCRIZIONE = 'aziende del settore turismo', IDCNELSETTORE = 'H', CONTRAENTIDATORIALI = 'FMPI CONAPI; CONAPI', CONTRAENTISINDACALI = 'CONFINTESA; CONFINTESA Turismo, Commercio e Servizi', VALIDOAL = '2023-10-01' WHERE IDCNELCONTRATTO = 'H05S';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'H47C', DESCRIZIONE = 'CCNL per i dipendenti delle aziende e studi di amministrazione condominiale e/o di servizi integrati alla proprietà immobiliare', IDCNELSETTORE = 'H', CONTRAENTIDATORIALI = 'UNIMPRESA; UNIMPRESA Federazione Nazionale Commercio Turismo e Servizi; ASSIMEA; CONFAMMINISTRATORI; UNIMMOBILIARE; ACAP; PROGETTO ANGELICA', CONTRAENTISINDACALI = 'CONFINTESA TUCS; CONFINTESA', VALIDOAL = '2023-10-01' WHERE IDCNELCONTRATTO = 'H47C';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'H50R', DESCRIZIONE = 'CCNL Colf e Badanti per i dipendenti da aziende e per i dipendenti e soci lavoratori da cooperative', IDCNELSETTORE = 'H1', CONTRAENTIDATORIALI = 'COOPITALIANE; ADLI', CONTRAENTISINDACALI = 'FAMAR; CONFAMAR', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'H50R';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'H526', DESCRIZIONE = 'Aziende Artigiane di Parrucchieri, Barbieri ed Estetisti', IDCNELSETTORE = 'H', CONTRAENTIDATORIALI = 'FEDARCOM; CIFA', CONTRAENTISINDACALI = 'FIADEL SP', VALIDOAL = '2023-10-01' WHERE IDCNELCONTRATTO = 'H526';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'H533', DESCRIZIONE = 'CCNL per i lavoratori dipendenti delle imprese di acconciatura, estetica, tricologia non curativa, piercing e centri benessere', IDCNELSETTORE = 'H', CONTRAENTIDATORIALI = 'ALIM; ANAP; VALITALIA PMI', CONTRAENTISINDACALI = 'SELP; SLE', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'H533';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'HV48', DESCRIZIONE = 'CCNL per i lavoratori dipendenti di istituti e aziende del settore vigilanza privata, investigazioni e servizi fiduciari', IDCNELSETTORE = 'H', CONTRAENTIDATORIALI = 'ANAP; VALITALIA PMI', CONTRAENTISINDACALI = 'SELP; SLE', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'HV48';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'I14E', DESCRIZIONE = 'AUTOTRASPORTO, SPEDIZIONE MERCI, LOGISTICA E FACCHINAGGIO', IDCNELSETTORE = 'I', CONTRAENTIDATORIALI = 'LT CONAPI', CONTRAENTISINDACALI = 'CONFINTESA Viabilità e Logistica', VALIDOAL = '2023-10-01' WHERE IDCNELCONTRATTO = 'I14E';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'I14F', DESCRIZIONE = 'AUTOTRASPORTO, SPEDIZIONE MERCI, LOGISTICA E FACCHINAGGIO', IDCNELSETTORE = 'I', CONTRAENTIDATORIALI = 'CONAPI', CONTRAENTISINDACALI = 'CNAL', VALIDOAL = '2023-10-01' WHERE IDCNELCONTRATTO = 'I14F';

INSERT INTO CNEL_CONTRATTO (IDCNELCONTRATTO, DESCRIZIONE, IDCNELSETTORE, CONTRAENTIDATORIALI, CONTRAENTISINDACALI, VALIDOAL) VALUES ('I14S', 'CCNL per i dipendenti delle aziende del settore trasporti, logistica e spedizione', 'I', 'CONAPI', 'CONFINTESA', NULL);

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'I157', DESCRIZIONE = 'CCNL per i dipendenti delle imprese del settore Trasporti e Logistica', IDCNELSETTORE = 'I', CONTRAENTIDATORIALI = 'ATECA; ANEAS; ASSO PRO; PMIA AUTOTRASPORTI; COOPERATIVE ITALIANE', CONTRAENTISINDACALI = 'FIADEL SP; CIU UNIONQUADRI', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'I157';

INSERT INTO CNEL_CONTRATTO (IDCNELCONTRATTO, DESCRIZIONE, IDCNELSETTORE, CONTRAENTIDATORIALI, CONTRAENTISINDACALI, VALIDOAL) VALUES ('K55B', 'CCNL per il personale dipendente da imprese esercenti servizi di pulizia, e servizi integrati/multiservizi', 'K', 'ANAP; ALIM; VALITALIA PMI', 'SELP; SLE', NULL);

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'T016', DESCRIZIONE = 'aziende e delle cooperative, esercenti attività non medica, anche in conto terzi e in somministrazione, presso Case di Cura, Case di Soggiorno per anziani, RSA, Centri socio-assistenziali ed educativi per minori, disabili', IDCNELSETTORE = 'T', CONTRAENTIDATORIALI = 'UNSIC; UNSICOOP; FEDERDAT;', CONTRAENTISINDACALI = 'CONFIAL; FLAITS', VALIDOAL = '2023-10-01' WHERE IDCNELCONTRATTO = 'T016';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'T150', DESCRIZIONE = 'CCNL per i dipendenti delle micro, piccole e medie imprese e per i dipendenti e soci lavoratori delle cooperative ed assimilabili esercenti attività di ASSISTENZA nonché il trasporto, il reinserimento ed assistenza sociale alla persona', IDCNELSETTORE = 'T', CONTRAENTIDATORIALI = 'COOPERATIVE ITALIANE; ATECA; ANEAS; ASSOPRO', CONTRAENTISINDACALI = 'FIADEL', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'T150';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'T19A', DESCRIZIONE = 'CCNL per i dipendenti delle Imprese Sociali e delle Cooperative operanti nel settore della Scuola Libera', IDCNELSETTORE = 'T', CONTRAENTIDATORIALI = 'ADLI', CONTRAENTISINDACALI = 'FITESC; CIU UNIONQUADRI', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'T19A';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'T24B', DESCRIZIONE = 'scuola non statale', IDCNELSETTORE = 'T', CONTRAENTIDATORIALI = 'FILINS', CONTRAENTISINDACALI = 'UGL SCUOLA; UGL', VALIDOAL = '2023-10-01' WHERE IDCNELCONTRATTO = 'T24B';

INSERT INTO CNEL_CONTRATTO (IDCNELCONTRATTO, DESCRIZIONE, IDCNELSETTORE, CONTRAENTIDATORIALI, CONTRAENTISINDACALI, VALIDOAL) VALUES ('T27R', 'CCNL Enti di formazione e istruzione, corsi universitari, Scuola non statale', 'T', 'FILINS', 'UGL SCUOLA', NULL);

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'T320', DESCRIZIONE = 'Accordo Quadro LAVORITALIA - Contratto Collettivo di Lavoro applicato ai lavoratori delle imprese e degli enti membri e associati al Consorzio Nazionale LAVORITALIA', IDCNELSETTORE = 'T', CONTRAENTIDATORIALI = 'LAVORITALIA', CONTRAENTISINDACALI = 'CGIL; CISL; UIL', VALIDOAL = '2023-10-01' WHERE IDCNELCONTRATTO = 'T320';

INSERT INTO CNEL_CONTRATTO (IDCNELCONTRATTO, DESCRIZIONE, IDCNELSETTORE, CONTRAENTIDATORIALI, CONTRAENTISINDACALI, VALIDOAL) VALUES ('V25G', 'CCNL per i dipendenti responsabili o addetti alla sicurezza del servizio di prevenzione e protezione aziendale - RSPP e ASPP trasversalmente impiegati in tutti i settori e comparti', 'V', 'UNAPRI confederata UNILAVORO PMI', 'FIRAS SPP confederata UGL; SINDACATO CLAS', NULL);

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'V850', DESCRIZIONE = 'dipendenti di aziende artigiane di: lavanderie e stirerie, legno, fibre e arredamento, panificazione, imprese di pulizie e cooperative', IDCNELSETTORE = 'V', CONTRAENTIDATORIALI = 'FEDARCOM; CIFA', CONTRAENTISINDACALI = 'FIADEL SP', VALIDOAL = '2023-10-01' WHERE IDCNELCONTRATTO = 'V850';

COMMIT WORK;



---- END Contratti CNEL



-- END UNIEMENS – vers. 4.22 del 27 novembre 2023



-- Validità decontribuzione 6 e 7% estesa per tutto il 2024

UPDATE INPS_ALIQUOTAADDIZ SET VALIDOAL = '31.12.2024' WHERE IDALIQUOTAADDIZ = '12';

UPDATE INPS_ALIQUOTAADDIZ SET VALIDOAL = '31.12.2024' WHERE IDALIQUOTAADDIZ = '13';

COMMIT WORK;



-- Addizionali regionali 2023 (Ultimo aggiornamento del 19/07/2023)



---- Marche (regione 11)

INSERT INTO IRPEF_ADDIZIONALEREGIONALE (IDREGIONE, ANNO, SCAGLIONEDA, SCAGLIONEA, ALIQUOTA, ALIQUOTAMEDIA, ADDIMPORTOANNUO, RIFNORMATIVO, NUMLEGGEREGIONALE, DATALEGGEREGIONALE, DATADECORRENZA, ULTIMOAGGIORNAMENTO, NOTE) VALUES ('11', '2023', '0.000000', '15000.000000', '0.012300', NULL, NULL, NULL, NULL, NULL, '01.01.2023', NULL, NULL);

INSERT INTO IRPEF_ADDIZIONALEREGIONALE (IDREGIONE, ANNO, SCAGLIONEDA, SCAGLIONEA, ALIQUOTA, ALIQUOTAMEDIA, ADDIMPORTOANNUO, RIFNORMATIVO, NUMLEGGEREGIONALE, DATALEGGEREGIONALE, DATADECORRENZA, ULTIMOAGGIORNAMENTO, NOTE) VALUES ('11', '2023', '15000.010000', '28000.000000', '0.015300', NULL, NULL, NULL, NULL, NULL, '01.01.2023', NULL, NULL);

INSERT INTO IRPEF_ADDIZIONALEREGIONALE (IDREGIONE, ANNO, SCAGLIONEDA, SCAGLIONEA, ALIQUOTA, ALIQUOTAMEDIA, ADDIMPORTOANNUO, RIFNORMATIVO, NUMLEGGEREGIONALE, DATALEGGEREGIONALE, DATADECORRENZA, ULTIMOAGGIORNAMENTO, NOTE) VALUES ('11', '2023', '28000.010000', '50000.000000', '0.017000', NULL, NULL, NULL, NULL, NULL, '01.01.2023', NULL, NULL);

INSERT INTO IRPEF_ADDIZIONALEREGIONALE (IDREGIONE, ANNO, SCAGLIONEDA, SCAGLIONEA, ALIQUOTA, ALIQUOTAMEDIA, ADDIMPORTOANNUO, RIFNORMATIVO, NUMLEGGEREGIONALE, DATALEGGEREGIONALE, DATADECORRENZA, ULTIMOAGGIORNAMENTO, NOTE) VALUES ('11', '2023', '50000.010000', NULL, '0.017300', NULL, NULL, NULL, NULL, NULL, '01.01.2023', NULL, NULL);



---- Lombardia (regione 03)

INSERT INTO IRPEF_ADDIZIONALEREGIONALE (IDREGIONE, ANNO, SCAGLIONEDA, SCAGLIONEA, ALIQUOTA, ALIQUOTAMEDIA, ADDIMPORTOANNUO, RIFNORMATIVO, NUMLEGGEREGIONALE, DATALEGGEREGIONALE, DATADECORRENZA, ULTIMOAGGIORNAMENTO, NOTE) VALUES ('03', '2023', '0.000000', '15000.000000', '0.012300', NULL, NULL, NULL, NULL, NULL, '01.01.2023', NULL, NULL);

INSERT INTO IRPEF_ADDIZIONALEREGIONALE (IDREGIONE, ANNO, SCAGLIONEDA, SCAGLIONEA, ALIQUOTA, ALIQUOTAMEDIA, ADDIMPORTOANNUO, RIFNORMATIVO, NUMLEGGEREGIONALE, DATALEGGEREGIONALE, DATADECORRENZA, ULTIMOAGGIORNAMENTO, NOTE) VALUES ('03', '2023', '15000.010000', '28000.000000', '0.015800', NULL, NULL, NULL, NULL, NULL, '01.01.2023', NULL, NULL);

INSERT INTO IRPEF_ADDIZIONALEREGIONALE (IDREGIONE, ANNO, SCAGLIONEDA, SCAGLIONEA, ALIQUOTA, ALIQUOTAMEDIA, ADDIMPORTOANNUO, RIFNORMATIVO, NUMLEGGEREGIONALE, DATALEGGEREGIONALE, DATADECORRENZA, ULTIMOAGGIORNAMENTO, NOTE) VALUES ('03', '2023', '28000.010000', '50000.000000', '0.017200', NULL, NULL, NULL, NULL, NULL, '01.01.2023', NULL, NULL);

INSERT INTO IRPEF_ADDIZIONALEREGIONALE (IDREGIONE, ANNO, SCAGLIONEDA, SCAGLIONEA, ALIQUOTA, ALIQUOTAMEDIA, ADDIMPORTOANNUO, RIFNORMATIVO, NUMLEGGEREGIONALE, DATALEGGEREGIONALE, DATADECORRENZA, ULTIMOAGGIORNAMENTO, NOTE) VALUES ('03', '2023', '50000.010000', NULL, '0.017300', NULL, NULL, NULL, NULL, NULL, '01.01.2023', NULL, NULL);



---- Molise (regione 14)

INSERT INTO IRPEF_ADDIZIONALEREGIONALE (IDREGIONE, ANNO, SCAGLIONEDA, SCAGLIONEA, ALIQUOTA, ALIQUOTAMEDIA, ADDIMPORTOANNUO, RIFNORMATIVO, NUMLEGGEREGIONALE, DATALEGGEREGIONALE, DATADECORRENZA, ULTIMOAGGIORNAMENTO, NOTE) VALUES ('14', '2023', '0.000000', '15000.000000', '0.020300', NULL, NULL, NULL, NULL, NULL, '01.01.2023', NULL, NULL);

INSERT INTO IRPEF_ADDIZIONALEREGIONALE (IDREGIONE, ANNO, SCAGLIONEDA, SCAGLIONEA, ALIQUOTA, ALIQUOTAMEDIA, ADDIMPORTOANNUO, RIFNORMATIVO, NUMLEGGEREGIONALE, DATALEGGEREGIONALE, DATADECORRENZA, ULTIMOAGGIORNAMENTO, NOTE) VALUES ('14', '2023', '15000.010000', '28000.000000', '0.022300', NULL, NULL, NULL, NULL, NULL, '01.01.2023', NULL, NULL);

INSERT INTO IRPEF_ADDIZIONALEREGIONALE (IDREGIONE, ANNO, SCAGLIONEDA, SCAGLIONEA, ALIQUOTA, ALIQUOTAMEDIA, ADDIMPORTOANNUO, RIFNORMATIVO, NUMLEGGEREGIONALE, DATALEGGEREGIONALE, DATADECORRENZA, ULTIMOAGGIORNAMENTO, NOTE) VALUES ('14', '2023', '28000.010000', '50000.000000', '0.024300', NULL, NULL, NULL, NULL, NULL, '01.01.2023', NULL, NULL);

INSERT INTO IRPEF_ADDIZIONALEREGIONALE (IDREGIONE, ANNO, SCAGLIONEDA, SCAGLIONEA, ALIQUOTA, ALIQUOTAMEDIA, ADDIMPORTOANNUO, RIFNORMATIVO, NUMLEGGEREGIONALE, DATALEGGEREGIONALE, DATADECORRENZA, ULTIMOAGGIORNAMENTO, NOTE) VALUES ('14', '2023', '50000.010000', NULL, '0.026300', NULL, NULL, NULL, NULL, NULL, '01.01.2023', NULL, NULL);



---- Valle d'Aosta (regione 02)

INSERT INTO IRPEF_ADDIZIONALEREGIONALE (IDREGIONE, ANNO, SCAGLIONEDA, SCAGLIONEA, ALIQUOTA, ALIQUOTAMEDIA, ADDIMPORTOANNUO, RIFNORMATIVO, NUMLEGGEREGIONALE, DATALEGGEREGIONALE, DATADECORRENZA, ULTIMOAGGIORNAMENTO, NOTE) VALUES ('02', '2023', '0.000000', '15000.000000', '0.000000', NULL, NULL, NULL, NULL, NULL, '01.01.2023', NULL, NULL);

INSERT INTO IRPEF_ADDIZIONALEREGIONALE (IDREGIONE, ANNO, SCAGLIONEDA, SCAGLIONEA, ALIQUOTA, ALIQUOTAMEDIA, ADDIMPORTOANNUO, RIFNORMATIVO, NUMLEGGEREGIONALE, DATALEGGEREGIONALE, DATADECORRENZA, ULTIMOAGGIORNAMENTO, NOTE) VALUES ('02', '2023', '15000.010000', NULL, '0.012300', NULL, NULL, NULL, NULL, NULL, '01.01.2023', NULL, NULL);



---- Abruzzo (regione 13)

INSERT INTO IRPEF_ADDIZIONALEREGIONALE (IDREGIONE, ANNO, SCAGLIONEDA, SCAGLIONEA, ALIQUOTA, ALIQUOTAMEDIA, ADDIMPORTOANNUO, RIFNORMATIVO, NUMLEGGEREGIONALE, DATALEGGEREGIONALE, DATADECORRENZA, ULTIMOAGGIORNAMENTO, NOTE) VALUES ('13', '2023', '0.000000', NULL, '0.017300', NULL, NULL, NULL, NULL, NULL, '01.01.2023', NULL, NULL);



---- Liguria (regione 07)

INSERT INTO IRPEF_ADDIZIONALEREGIONALE (IDREGIONE, ANNO, SCAGLIONEDA, SCAGLIONEA, ALIQUOTA, ALIQUOTAMEDIA, ADDIMPORTOANNUO, RIFNORMATIVO, NUMLEGGEREGIONALE, DATALEGGEREGIONALE, DATADECORRENZA, ULTIMOAGGIORNAMENTO, NOTE) VALUES ('07', '2023', '0.000000', '15000.000000', '0.012300', NULL, NULL, NULL, NULL, NULL, '01.01.2023', NULL, NULL);

INSERT INTO IRPEF_ADDIZIONALEREGIONALE (IDREGIONE, ANNO, SCAGLIONEDA, SCAGLIONEA, ALIQUOTA, ALIQUOTAMEDIA, ADDIMPORTOANNUO, RIFNORMATIVO, NUMLEGGEREGIONALE, DATALEGGEREGIONALE, DATADECORRENZA, ULTIMOAGGIORNAMENTO, NOTE) VALUES ('07', '2023', '15000.010000', '28000.000000', '0.017900', NULL, NULL, NULL, NULL, NULL, '01.01.2023', NULL, NULL);

INSERT INTO IRPEF_ADDIZIONALEREGIONALE (IDREGIONE, ANNO, SCAGLIONEDA, SCAGLIONEA, ALIQUOTA, ALIQUOTAMEDIA, ADDIMPORTOANNUO, RIFNORMATIVO, NUMLEGGEREGIONALE, DATALEGGEREGIONALE, DATADECORRENZA, ULTIMOAGGIORNAMENTO, NOTE) VALUES ('07', '2023', '28000.010000', '50000.000000', '0.023100', NULL, NULL, NULL, NULL, NULL, '01.01.2023', NULL, NULL);

INSERT INTO IRPEF_ADDIZIONALEREGIONALE (IDREGIONE, ANNO, SCAGLIONEDA, SCAGLIONEA, ALIQUOTA, ALIQUOTAMEDIA, ADDIMPORTOANNUO, RIFNORMATIVO, NUMLEGGEREGIONALE, DATALEGGEREGIONALE, DATADECORRENZA, ULTIMOAGGIORNAMENTO, NOTE) VALUES ('07', '2023', '50000.010000', NULL, '0.023300', NULL, NULL, NULL, NULL, NULL, '01.01.2023', NULL, NULL);



---- Puglia (regione 16)

INSERT INTO IRPEF_ADDIZIONALEREGIONALE (IDREGIONE, ANNO, SCAGLIONEDA, SCAGLIONEA, ALIQUOTA, ALIQUOTAMEDIA, ADDIMPORTOANNUO, RIFNORMATIVO, NUMLEGGEREGIONALE, DATALEGGEREGIONALE, DATADECORRENZA, ULTIMOAGGIORNAMENTO, NOTE) VALUES ('16', '2023', '0.000000', '15000.000000', '0.013300', NULL, NULL, NULL, NULL, NULL, '01.01.2023', NULL, NULL);

INSERT INTO IRPEF_ADDIZIONALEREGIONALE (IDREGIONE, ANNO, SCAGLIONEDA, SCAGLIONEA, ALIQUOTA, ALIQUOTAMEDIA, ADDIMPORTOANNUO, RIFNORMATIVO, NUMLEGGEREGIONALE, DATALEGGEREGIONALE, DATADECORRENZA, ULTIMOAGGIORNAMENTO, NOTE) VALUES ('16', '2023', '15000.010000', '28000.000000', '0.014300', NULL, NULL, NULL, NULL, NULL, '01.01.2023', NULL, NULL);

INSERT INTO IRPEF_ADDIZIONALEREGIONALE (IDREGIONE, ANNO, SCAGLIONEDA, SCAGLIONEA, ALIQUOTA, ALIQUOTAMEDIA, ADDIMPORTOANNUO, RIFNORMATIVO, NUMLEGGEREGIONALE, DATALEGGEREGIONALE, DATADECORRENZA, ULTIMOAGGIORNAMENTO, NOTE) VALUES ('16', '2023', '28000.010000', '50000.000000', '0.016300', NULL, NULL, NULL, NULL, NULL, '01.01.2023', NULL, NULL);

INSERT INTO IRPEF_ADDIZIONALEREGIONALE (IDREGIONE, ANNO, SCAGLIONEDA, SCAGLIONEA, ALIQUOTA, ALIQUOTAMEDIA, ADDIMPORTOANNUO, RIFNORMATIVO, NUMLEGGEREGIONALE, DATALEGGEREGIONALE, DATADECORRENZA, ULTIMOAGGIORNAMENTO, NOTE) VALUES ('16', '2023', '50000.010000', NULL, '0.018500', NULL, NULL, NULL, NULL, NULL, '01.01.2023', NULL, NULL);



---- Trento (regione 22)

INSERT INTO IRPEF_ADDIZIONALEREGIONALE (IDREGIONE, ANNO, SCAGLIONEDA, SCAGLIONEA, ALIQUOTA, ALIQUOTAMEDIA, ADDIMPORTOANNUO, RIFNORMATIVO, NUMLEGGEREGIONALE, DATALEGGEREGIONALE, DATADECORRENZA, ULTIMOAGGIORNAMENTO, NOTE) VALUES ('22', '2023', '0.000000', '50000.000000', '0.012300', NULL, NULL, NULL, NULL, NULL, '01.01.2023', NULL, NULL);

INSERT INTO IRPEF_ADDIZIONALEREGIONALE (IDREGIONE, ANNO, SCAGLIONEDA, SCAGLIONEA, ALIQUOTA, ALIQUOTAMEDIA, ADDIMPORTOANNUO, RIFNORMATIVO, NUMLEGGEREGIONALE, DATALEGGEREGIONALE, DATADECORRENZA, ULTIMOAGGIORNAMENTO, NOTE) VALUES ('22', '2023', '50000.010000', NULL, '0.017300', NULL, NULL, NULL, NULL, NULL, '01.01.2023', NULL, NULL);



---- Emilia Romagna (regione 08)

INSERT INTO IRPEF_ADDIZIONALEREGIONALE (IDREGIONE, ANNO, SCAGLIONEDA, SCAGLIONEA, ALIQUOTA, ALIQUOTAMEDIA, ADDIMPORTOANNUO, RIFNORMATIVO, NUMLEGGEREGIONALE, DATALEGGEREGIONALE, DATADECORRENZA, ULTIMOAGGIORNAMENTO, NOTE) VALUES ('08', '2023', '0.000000', '15000.000000', '0.013300', NULL, NULL, NULL, NULL, NULL, '01.01.2023', NULL, NULL);

INSERT INTO IRPEF_ADDIZIONALEREGIONALE (IDREGIONE, ANNO, SCAGLIONEDA, SCAGLIONEA, ALIQUOTA, ALIQUOTAMEDIA, ADDIMPORTOANNUO, RIFNORMATIVO, NUMLEGGEREGIONALE, DATALEGGEREGIONALE, DATADECORRENZA, ULTIMOAGGIORNAMENTO, NOTE) VALUES ('08', '2023', '15000.010000', '28000.000000', '0.019300', NULL, NULL, NULL, NULL, NULL, '01.01.2023', NULL, NULL);

INSERT INTO IRPEF_ADDIZIONALEREGIONALE (IDREGIONE, ANNO, SCAGLIONEDA, SCAGLIONEA, ALIQUOTA, ALIQUOTAMEDIA, ADDIMPORTOANNUO, RIFNORMATIVO, NUMLEGGEREGIONALE, DATALEGGEREGIONALE, DATADECORRENZA, ULTIMOAGGIORNAMENTO, NOTE) VALUES ('08', '2023', '28000.010000', '50000.000000', '0.020300', NULL, NULL, NULL, NULL, NULL, '01.01.2023', NULL, NULL);

INSERT INTO IRPEF_ADDIZIONALEREGIONALE (IDREGIONE, ANNO, SCAGLIONEDA, SCAGLIONEA, ALIQUOTA, ALIQUOTAMEDIA, ADDIMPORTOANNUO, RIFNORMATIVO, NUMLEGGEREGIONALE, DATALEGGEREGIONALE, DATADECORRENZA, ULTIMOAGGIORNAMENTO, NOTE) VALUES ('08', '2023', '50000.010000', NULL, '0.022700', NULL, NULL, NULL, NULL, NULL, '01.01.2023', NULL, NULL);



---- Umbria (regione 10)

INSERT INTO IRPEF_ADDIZIONALEREGIONALE (IDREGIONE, ANNO, SCAGLIONEDA, SCAGLIONEA, ALIQUOTA, ALIQUOTAMEDIA, ADDIMPORTOANNUO, RIFNORMATIVO, NUMLEGGEREGIONALE, DATALEGGEREGIONALE, DATADECORRENZA, ULTIMOAGGIORNAMENTO, NOTE) VALUES ('10', '2023', '0.000000', '15000.000000', '0.012300', NULL, NULL, NULL, NULL, NULL, '01.01.2023', NULL, NULL);

INSERT INTO IRPEF_ADDIZIONALEREGIONALE (IDREGIONE, ANNO, SCAGLIONEDA, SCAGLIONEA, ALIQUOTA, ALIQUOTAMEDIA, ADDIMPORTOANNUO, RIFNORMATIVO, NUMLEGGEREGIONALE, DATALEGGEREGIONALE, DATADECORRENZA, ULTIMOAGGIORNAMENTO, NOTE) VALUES ('10', '2023', '15000.010000', '28000.000000', '0.016200', NULL, NULL, NULL, NULL, NULL, '01.01.2023', NULL, NULL);

INSERT INTO IRPEF_ADDIZIONALEREGIONALE (IDREGIONE, ANNO, SCAGLIONEDA, SCAGLIONEA, ALIQUOTA, ALIQUOTAMEDIA, ADDIMPORTOANNUO, RIFNORMATIVO, NUMLEGGEREGIONALE, DATALEGGEREGIONALE, DATADECORRENZA, ULTIMOAGGIORNAMENTO, NOTE) VALUES ('10', '2023', '28000.010000', '50000.000000', '0.016700', NULL, NULL, NULL, NULL, NULL, '01.01.2023', NULL, NULL);

INSERT INTO IRPEF_ADDIZIONALEREGIONALE (IDREGIONE, ANNO, SCAGLIONEDA, SCAGLIONEA, ALIQUOTA, ALIQUOTAMEDIA, ADDIMPORTOANNUO, RIFNORMATIVO, NUMLEGGEREGIONALE, DATALEGGEREGIONALE, DATADECORRENZA, ULTIMOAGGIORNAMENTO, NOTE) VALUES ('10', '2023', '50000.010000', NULL, '0.018300', NULL, NULL, NULL, NULL, NULL, '01.01.2023', NULL, NULL);



---- Campania (regione 15)

INSERT INTO IRPEF_ADDIZIONALEREGIONALE (IDREGIONE, ANNO, SCAGLIONEDA, SCAGLIONEA, ALIQUOTA, ALIQUOTAMEDIA, ADDIMPORTOANNUO, RIFNORMATIVO, NUMLEGGEREGIONALE, DATALEGGEREGIONALE, DATADECORRENZA, ULTIMOAGGIORNAMENTO, NOTE) VALUES ('15', '2023', '0.000000', '15000.000000', '0.017300', NULL, NULL, NULL, NULL, NULL, '01.01.2023', NULL, NULL);

INSERT INTO IRPEF_ADDIZIONALEREGIONALE (IDREGIONE, ANNO, SCAGLIONEDA, SCAGLIONEA, ALIQUOTA, ALIQUOTAMEDIA, ADDIMPORTOANNUO, RIFNORMATIVO, NUMLEGGEREGIONALE, DATALEGGEREGIONALE, DATADECORRENZA, ULTIMOAGGIORNAMENTO, NOTE) VALUES ('15', '2023', '15000.000000', '28000.000000', '0.029600', NULL, NULL, NULL, NULL, NULL, '01.01.2023', NULL, NULL);

INSERT INTO IRPEF_ADDIZIONALEREGIONALE (IDREGIONE, ANNO, SCAGLIONEDA, SCAGLIONEA, ALIQUOTA, ALIQUOTAMEDIA, ADDIMPORTOANNUO, RIFNORMATIVO, NUMLEGGEREGIONALE, DATALEGGEREGIONALE, DATADECORRENZA, ULTIMOAGGIORNAMENTO, NOTE) VALUES ('15', '2023', '28000.000000', '50000.000000', '0.032000', NULL, NULL, NULL, NULL, NULL, '01.01.2023', NULL, NULL);

INSERT INTO IRPEF_ADDIZIONALEREGIONALE (IDREGIONE, ANNO, SCAGLIONEDA, SCAGLIONEA, ALIQUOTA, ALIQUOTAMEDIA, ADDIMPORTOANNUO, RIFNORMATIVO, NUMLEGGEREGIONALE, DATALEGGEREGIONALE, DATADECORRENZA, ULTIMOAGGIORNAMENTO, NOTE) VALUES ('15', '2023', '50000.000000', NULL, '0.033300', NULL, NULL, NULL, NULL, NULL, '01.01.2023', NULL, NULL);



---- Basilicata (regione 17)

INSERT INTO IRPEF_ADDIZIONALEREGIONALE (IDREGIONE, ANNO, SCAGLIONEDA, SCAGLIONEA, ALIQUOTA, ALIQUOTAMEDIA, ADDIMPORTOANNUO, RIFNORMATIVO, NUMLEGGEREGIONALE, DATALEGGEREGIONALE, DATADECORRENZA, ULTIMOAGGIORNAMENTO, NOTE) VALUES ('17', '2023', '0.000000', NULL, '0.012300', NULL, NULL, NULL, NULL, NULL, '01.01.2023', NULL, NULL);



---- Sicilia (regione 19)

INSERT INTO IRPEF_ADDIZIONALEREGIONALE (IDREGIONE, ANNO, SCAGLIONEDA, SCAGLIONEA, ALIQUOTA, ALIQUOTAMEDIA, ADDIMPORTOANNUO, RIFNORMATIVO, NUMLEGGEREGIONALE, DATALEGGEREGIONALE, DATADECORRENZA, ULTIMOAGGIORNAMENTO, NOTE) VALUES ('19', '2023', '0.000000', NULL, '0.012300', NULL, NULL, NULL, NULL, NULL, '01.01.2023', NULL, NULL);



---- Veneto (regione 05)

INSERT INTO IRPEF_ADDIZIONALEREGIONALE (IDREGIONE, ANNO, SCAGLIONEDA, SCAGLIONEA, ALIQUOTA, ALIQUOTAMEDIA, ADDIMPORTOANNUO, RIFNORMATIVO, NUMLEGGEREGIONALE, DATALEGGEREGIONALE, DATADECORRENZA, ULTIMOAGGIORNAMENTO, NOTE) VALUES ('05', '2023', '0.000000', NULL, '0.012300', NULL, NULL, NULL, NULL, NULL, '01.01.2023', NULL, NULL);



---- Bolzano (regione 21)

INSERT INTO IRPEF_ADDIZIONALEREGIONALE (IDREGIONE, ANNO, SCAGLIONEDA, SCAGLIONEA, ALIQUOTA, ALIQUOTAMEDIA, ADDIMPORTOANNUO, RIFNORMATIVO, NUMLEGGEREGIONALE, DATALEGGEREGIONALE, DATADECORRENZA, ULTIMOAGGIORNAMENTO, NOTE) VALUES ('21', '2023', '0.000000', '50000.000000', '0.012300', NULL, NULL, NULL, NULL, NULL, '01.01.2023', NULL, NULL);

INSERT INTO IRPEF_ADDIZIONALEREGIONALE (IDREGIONE, ANNO, SCAGLIONEDA, SCAGLIONEA, ALIQUOTA, ALIQUOTAMEDIA, ADDIMPORTOANNUO, RIFNORMATIVO, NUMLEGGEREGIONALE, DATALEGGEREGIONALE, DATADECORRENZA, ULTIMOAGGIORNAMENTO, NOTE) VALUES ('21', '2023', '50000.010000', NULL, '0.017300', NULL, NULL, NULL, NULL, NULL, '01.01.2023', NULL, NULL);



-- Friuli Venezia Giulia (regione 06)

INSERT INTO IRPEF_ADDIZIONALEREGIONALE (IDREGIONE, ANNO, SCAGLIONEDA, SCAGLIONEA, ALIQUOTA, ALIQUOTAMEDIA, ADDIMPORTOANNUO, RIFNORMATIVO, NUMLEGGEREGIONALE, DATALEGGEREGIONALE, DATADECORRENZA, ULTIMOAGGIORNAMENTO, NOTE) VALUES ('06', '2023', '0.000000', '15000.000000', '0.007000', NULL, NULL, NULL, NULL, NULL, '01.01.2023', NULL, NULL);

INSERT INTO IRPEF_ADDIZIONALEREGIONALE (IDREGIONE, ANNO, SCAGLIONEDA, SCAGLIONEA, ALIQUOTA, ALIQUOTAMEDIA, ADDIMPORTOANNUO, RIFNORMATIVO, NUMLEGGEREGIONALE, DATALEGGEREGIONALE, DATADECORRENZA, ULTIMOAGGIORNAMENTO, NOTE) VALUES ('06', '2023', '15000.010000', NULL, '0.012300', NULL, NULL, NULL, NULL, NULL, '01.01.2023', NULL, NULL);



---- Toscana (regione 09)

INSERT INTO IRPEF_ADDIZIONALEREGIONALE (IDREGIONE, ANNO, SCAGLIONEDA, SCAGLIONEA, ALIQUOTA, ALIQUOTAMEDIA, ADDIMPORTOANNUO, RIFNORMATIVO, NUMLEGGEREGIONALE, DATALEGGEREGIONALE, DATADECORRENZA, ULTIMOAGGIORNAMENTO, NOTE) VALUES ('09', '2023', '0.000000', '15000.000000', '0.014200', NULL, NULL, NULL, NULL, NULL, '01.01.2023', NULL, NULL);

INSERT INTO IRPEF_ADDIZIONALEREGIONALE (IDREGIONE, ANNO, SCAGLIONEDA, SCAGLIONEA, ALIQUOTA, ALIQUOTAMEDIA, ADDIMPORTOANNUO, RIFNORMATIVO, NUMLEGGEREGIONALE, DATALEGGEREGIONALE, DATADECORRENZA, ULTIMOAGGIORNAMENTO, NOTE) VALUES ('09', '2023', '15000.010000', '28000.000000', '0.014300', NULL, NULL, NULL, NULL, NULL, '01.01.2023', NULL, NULL);

INSERT INTO IRPEF_ADDIZIONALEREGIONALE (IDREGIONE, ANNO, SCAGLIONEDA, SCAGLIONEA, ALIQUOTA, ALIQUOTAMEDIA, ADDIMPORTOANNUO, RIFNORMATIVO, NUMLEGGEREGIONALE, DATALEGGEREGIONALE, DATADECORRENZA, ULTIMOAGGIORNAMENTO, NOTE) VALUES ('09', '2023', '28000.010000', '50000.000000', '0.016800', NULL, NULL, NULL, NULL, NULL, '01.01.2023', NULL, NULL);

INSERT INTO IRPEF_ADDIZIONALEREGIONALE (IDREGIONE, ANNO, SCAGLIONEDA, SCAGLIONEA, ALIQUOTA, ALIQUOTAMEDIA, ADDIMPORTOANNUO, RIFNORMATIVO, NUMLEGGEREGIONALE, DATALEGGEREGIONALE, DATADECORRENZA, ULTIMOAGGIORNAMENTO, NOTE) VALUES ('09', '2023', '50000.010000', NULL, '0.017300', NULL, NULL, NULL, NULL, NULL, '01.01.2023', NULL, NULL);



---- Piemonte (regione 01)

INSERT INTO IRPEF_ADDIZIONALEREGIONALE (IDREGIONE, ANNO, SCAGLIONEDA, SCAGLIONEA, ALIQUOTA, ALIQUOTAMEDIA, ADDIMPORTOANNUO, RIFNORMATIVO, NUMLEGGEREGIONALE, DATALEGGEREGIONALE, DATADECORRENZA, ULTIMOAGGIORNAMENTO, NOTE) VALUES ('01', '2023', '0.000000', '15000.000000', '0.016200', NULL, NULL, NULL, NULL, NULL, '01.01.2023', NULL, NULL);

INSERT INTO IRPEF_ADDIZIONALEREGIONALE (IDREGIONE, ANNO, SCAGLIONEDA, SCAGLIONEA, ALIQUOTA, ALIQUOTAMEDIA, ADDIMPORTOANNUO, RIFNORMATIVO, NUMLEGGEREGIONALE, DATALEGGEREGIONALE, DATADECORRENZA, ULTIMOAGGIORNAMENTO, NOTE) VALUES ('01', '2023', '15000.010000', '28000.000000', '0.021300', NULL, NULL, NULL, NULL, NULL, '01.01.2023', NULL, NULL);

INSERT INTO IRPEF_ADDIZIONALEREGIONALE (IDREGIONE, ANNO, SCAGLIONEDA, SCAGLIONEA, ALIQUOTA, ALIQUOTAMEDIA, ADDIMPORTOANNUO, RIFNORMATIVO, NUMLEGGEREGIONALE, DATALEGGEREGIONALE, DATADECORRENZA, ULTIMOAGGIORNAMENTO, NOTE) VALUES ('01', '2023', '28000.010000', '50000.000000', '0.027500', NULL, NULL, NULL, NULL, NULL, '01.01.2023', NULL, NULL);

INSERT INTO IRPEF_ADDIZIONALEREGIONALE (IDREGIONE, ANNO, SCAGLIONEDA, SCAGLIONEA, ALIQUOTA, ALIQUOTAMEDIA, ADDIMPORTOANNUO, RIFNORMATIVO, NUMLEGGEREGIONALE, DATALEGGEREGIONALE, DATADECORRENZA, ULTIMOAGGIORNAMENTO, NOTE) VALUES ('01', '2023', '50000.010000', NULL, '0.033300', NULL, NULL, NULL, NULL, NULL, '01.01.2023', NULL, NULL);



---- Sardegna (regione 20)

INSERT INTO IRPEF_ADDIZIONALEREGIONALE (IDREGIONE, ANNO, SCAGLIONEDA, SCAGLIONEA, ALIQUOTA, ALIQUOTAMEDIA, ADDIMPORTOANNUO, RIFNORMATIVO, NUMLEGGEREGIONALE, DATALEGGEREGIONALE, DATADECORRENZA, ULTIMOAGGIORNAMENTO, NOTE) VALUES ('20', '2023', '0.000000', NULL, '0.012300', NULL, NULL, NULL, NULL, NULL, '01.01.2023', NULL, NULL);



---- Calabria (regione 18)

INSERT INTO IRPEF_ADDIZIONALEREGIONALE (IDREGIONE, ANNO, SCAGLIONEDA, SCAGLIONEA, ALIQUOTA, ALIQUOTAMEDIA, ADDIMPORTOANNUO, RIFNORMATIVO, NUMLEGGEREGIONALE, DATALEGGEREGIONALE, DATADECORRENZA, ULTIMOAGGIORNAMENTO, NOTE) VALUES ('18', '2023', '0.000000', NULL, '0.017300', NULL, NULL, NULL, NULL, NULL, '01.01.2023', NULL, NULL);



---- Lazio (regione 12)

INSERT INTO IRPEF_ADDIZIONALEREGIONALE (IDREGIONE, ANNO, SCAGLIONEDA, SCAGLIONEA, ALIQUOTA, ALIQUOTAMEDIA, ADDIMPORTOANNUO, RIFNORMATIVO, NUMLEGGEREGIONALE, DATALEGGEREGIONALE, DATADECORRENZA, ULTIMOAGGIORNAMENTO, NOTE) VALUES ('12', '2023', '0.000000', '15000.000000', '0.017300', NULL, NULL, NULL, NULL, NULL, '01.01.2023', NULL, NULL);

INSERT INTO IRPEF_ADDIZIONALEREGIONALE (IDREGIONE, ANNO, SCAGLIONEDA, SCAGLIONEA, ALIQUOTA, ALIQUOTAMEDIA, ADDIMPORTOANNUO, RIFNORMATIVO, NUMLEGGEREGIONALE, DATALEGGEREGIONALE, DATADECORRENZA, ULTIMOAGGIORNAMENTO, NOTE) VALUES ('12', '2023', '15000.010000', NULL, '0.033300', NULL, NULL, NULL, NULL, NULL, '01.01.2023', NULL, NULL);

COMMIT WORK;



-- END Addizionali regionali 2023



-- Aggiornamento dettaglio 104

---- Richiesto da Roberto Cassiani (http://192.168.0.106:85/otrs/index.pl?Action=AgentTicketZoom;TicketID=14131)



INSERT INTO CONTRATTODETTAGLIOVOCE (IDCONTRATTODETTAGLIO, IDVOCE, IDBASEIMPONIBILE, IDINPSCONTRATTO, INPS, IRPEF, TFR, INDIRETTO, MAGGIORAZIONE, MESE) VALUES ('104', '45', NULL, '118', '1', '1', '1', NULL, '1', NULL);

COMMIT WORK;



---- Minimo contrattuale

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('104', '1', '5', '01.07.2023', '1572.850000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('104', '2', '5', '01.07.2023', '1441.800000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('104', '3S', '5', '01.07.2023', '1397.460000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('104', '3', '5', '01.07.2023', '1349.590000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('104', '4', '5', '01.07.2023', '1275.790000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('104', '5', '5', '01.07.2023', '1234.970000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('104', '6', '5', '01.07.2023', '1189.640000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

COMMIT WORK;



---- Indennità speciale

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('104', '1', '19', '01.07.2023', '126.550000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('104', '2', '19', '01.07.2023', '108.580000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('104', '3S', '19', '01.07.2023', '104.860000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('104', '3', '19', '01.07.2023', '96.810000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('104', '4', '19', '01.07.2023', '88.730000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('104', '5', '19', '01.07.2023', '83.170000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('104', '6', '19', '01.07.2023', '76.970000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

COMMIT WORK;



---- Elemento aggiuntivo della retribuzione

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('104', '1', '45', '01.07.2023', '30.000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('104', '2', '45', '01.07.2023', '30.000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('104', '3S', '45', '01.07.2023', '30.000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('104', '3', '45', '01.07.2023', '30.000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('104', '4', '45', '01.07.2023', '30.000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('104', '5', '45', '01.07.2023', '30.000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('104', '6', '45', '01.07.2023', '30.000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

COMMIT WORK;



-- END Aggiornamento dettaglio 104



-- Aggiornamento dettaglio 64

---- Richiesto da Massimo Soraci (http://192.168.0.106:85/otrs/index.pl?Action=AgentTicketZoom;TicketID=14151)

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('64', 'Q', '5', '01.10.2022', '1855.930000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('64', '1', '5', '01.10.2022', '1768.080000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('64', '2', '5', '01.10.2022', '1609.040000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('64', '3', '5', '01.10.2022', '1450.360000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('64', '4', '5', '01.10.2022', '1329.820000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('64', '5', '5', '01.10.2022', '1253.180000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('64', '6', '5', '01.10.2022', '1181.940000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('64', '7', '5', '01.10.2022', '1089.430000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

COMMIT WORK;



-- END Aggiornamento dettaglio 64



-- Contratto dettaglio 421

---- Richiesto da Munafò Orazio (http://192.168.0.106:85/otrs/index.pl?Action=AgentTicketZoom;TicketID=14161)



INSERT INTO CONTRATTODETTAGLIO (IDCONTRATTODETTAGLIO, IDINPSCONTRATTO, IDUNITAMISURA, IDCNELCONTRATTO, DESCRIZIONE, EDR, TREDICESIMAMESE, TREDICESIMAGIORNO, QUATTORDICESIMAMESE, QUATTORDICESIMAGIORNO, ISTITUTOSCATTI, BANCAORE, STRAORDINARILIMITEOREANNO, STRAORDINARILIMITEOREMESE, STRAORDINARILIMITEORESETTIMANA, STRAORDINARILIMITEOREGIORNO, SCATTIMESE, SCATTINUMERO, CONTINGENZA, INTEGRAZCONGEDOMATR, ULTIMAMODIFICA, ULTIMAMODIFICAUSER, CUSTOM, NASCOSTO) VALUES ('421', '068', '1', 'F012', 'Operai edili Messina (settore argitigiani)', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, NULL, '0', NULL);

COMMIT WORK;



INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('421', 'O4', 'Operaio IV livello', '068', NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('421', 'O3', 'Operaio specializzato', '068', NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('421', 'O2', 'Operaio qualificato', '068', NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('421', 'O1', 'Operaio comune', '068', NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('421', 'F2', 'Form. Lavoro (qual.)', '068', NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('421', 'F1', 'Form. Lavoro (com.)', '068', NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('421', 'D1', 'Discontinuo 50 ore', '068', NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('421', 'D2/D3', 'Discontinui 60 ore', '068', NULL, NULL, NULL, NULL);

COMMIT WORK;



INSERT INTO CONTRATTODETTAGLIOVOCE (IDCONTRATTODETTAGLIO, IDVOCE, IDBASEIMPONIBILE, IDINPSCONTRATTO, INPS, IRPEF, TFR, INDIRETTO, MAGGIORAZIONE, MESE) VALUES ('421', '8', NULL, '068', '1', '1', '1', NULL, NULL, NULL); -- Paga base

INSERT INTO CONTRATTODETTAGLIOVOCE (IDCONTRATTODETTAGLIO, IDVOCE, IDBASEIMPONIBILE, IDINPSCONTRATTO, INPS, IRPEF, TFR, INDIRETTO, MAGGIORAZIONE, MESE) VALUES ('421', '43', NULL, '068', '1', '1', '1', NULL, NULL, NULL); -- Indennità territoriale di settore

INSERT INTO CONTRATTODETTAGLIOVOCE (IDCONTRATTODETTAGLIO, IDVOCE, IDBASEIMPONIBILE, IDINPSCONTRATTO, INPS, IRPEF, TFR, INDIRETTO, MAGGIORAZIONE, MESE) VALUES ('421', '44', NULL, '068', '1', '1', '1', NULL, NULL, NULL); -- Elemento economico territoriale

COMMIT WORK;



---- Paga base

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('421', 'O4', '8', '01.01.2015', '9.670000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('421', 'O3', '8', '01.01.2015', '9.190000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('421', 'O2', '8', '01.01.2015', '8.520000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('421', 'O1', '8', '01.01.2015', '7.740000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('421', 'F2', '8', '01.01.2015', '8.520000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('421', 'F1', '8', '01.01.2015', '7.740000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('421', 'D1', '8', '01.01.2015', '6.820000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('421', 'D2/D3', '8', '01.01.2015', '6.390000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

COMMIT WORK;



---- Indennità territoriale di settore

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('421', 'O4', '43', '01.01.2015', '1.190000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('421', 'O3', '43', '01.01.2015', '1.100000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('421', 'O2', '43', '01.01.2015', '0.990000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('421', 'O1', '43', '01.01.2015', '0.870000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('421', 'F2', '43', '01.01.2015', '0.990000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('421', 'F1', '43', '01.01.2015', '0.870000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('421', 'D1', '43', '01.01.2015', '0.760000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('421', 'D2/D3', '43', '01.01.2015', '0.680000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

COMMIT WORK;



---- Elemento economico territoriale

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('421', 'O4', '44', '01.01.2015', '0.330000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('421', 'O3', '44', '01.01.2015', '0.310000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('421', 'O2', '44', '01.01.2015', '0.280000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('421', 'O1', '44', '01.01.2015', '0.240000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('421', 'F2', '44', '01.01.2015', '0.280000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('421', 'F1', '44', '01.01.2015', '0.240000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('421', 'D1', '44', '01.01.2015', '0.210000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('421', 'D2/D3', '44', '01.01.2015', '0.190000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

COMMIT WORK;



INSERT INTO CONTRATTOCOEFFICIENTE (IDCONTRATTODETTAGLIO, IDCOEFFICIENTE, DESCRIZIONE, GIORNALIERO, ORARIO, GIORNISETTIMANA, ORESETTIMANA, SOLODONNAEMINORE, SOLOUOMO, IDTIPOLAVORATORE2, MENSILITA, MENSILITAAGGIUNTIVA, MENSILITAAGGIDUM, MENSILITA1000, NOTE, ULTIMAMODIFICA, ULTIMAMODIFICAUSER) VALUES ('421', '1', '', '25.00', '173.00', '5.00', '40.00', NULL, NULL, '2', '12', NULL, NULL, '12000', '', '14.01.2011, 10:11:38.000', NULL);

COMMIT WORK;



INSERT INTO CONTRATTORATEO (IDCONTRATTODETTAGLIO, IDRATEO, IDCOEFFICIENTE, IDTIPOLAVORATORE2, NOTA) VALUES ('421', '1', '1', '0', NULL);

COMMIT WORK;



INSERT INTO CONTRATTORATEOVALORE (IDCONTRATTODETTAGLIO, IDRATEO, IDTIPORATEO, IDANZIANITA, IDUNITAMISURA, IDUNITAMISURA2, VALORE) VALUES ('421', '1', '1', NULL, '3', '4', '0.330000');

INSERT INTO CONTRATTORATEOVALORE (IDCONTRATTODETTAGLIO, IDRATEO, IDTIPORATEO, IDANZIANITA, IDUNITAMISURA, IDUNITAMISURA2, VALORE) VALUES ('421', '1', '3', NULL, '1', '4', '7.333330');

COMMIT WORK;



-- END Contratto dettaglio 421



-- Contratto dettaglio 422

---- Richiesto da Munafò Orazio (http://192.168.0.106:85/otrs/index.pl?Action=AgentTicketZoom;TicketID=14161)



INSERT INTO CONTRATTODETTAGLIO (IDCONTRATTODETTAGLIO, IDINPSCONTRATTO, IDUNITAMISURA, IDCNELCONTRATTO, DESCRIZIONE, EDR, TREDICESIMAMESE, TREDICESIMAGIORNO, QUATTORDICESIMAMESE, QUATTORDICESIMAGIORNO, ISTITUTOSCATTI, BANCAORE, STRAORDINARILIMITEOREANNO, STRAORDINARILIMITEOREMESE, STRAORDINARILIMITEORESETTIMANA, STRAORDINARILIMITEOREGIORNO, SCATTIMESE, SCATTINUMERO, CONTINGENZA, INTEGRAZCONGEDOMATR, ULTIMAMODIFICA, ULTIMAMODIFICAUSER, CUSTOM, NASCOSTO) VALUES ('422', '068', '1', 'F012', 'Operai edili Messina (settore industria)', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, NULL, '0', NULL);

COMMIT WORK;



INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('422', 'O4', 'Operaio IV livello', '068', NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('422', 'O3', 'Operaio specializzato', '068', NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('422', 'O2', 'Operaio qualificato', '068', NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('422', 'O1', 'Operaio comune', '068', NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('422', 'F2', 'Form. Lavoro (qual.)', '068', NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('422', 'F1', 'Form. Lavoro (com.)', '068', NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('422', 'D1', 'Discontinuo 50 ore', '068', NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('422', 'D2/D3', 'Discontinui 60 ore', '068', NULL, NULL, NULL, NULL);

COMMIT WORK;



INSERT INTO CONTRATTODETTAGLIOVOCE (IDCONTRATTODETTAGLIO, IDVOCE, IDBASEIMPONIBILE, IDINPSCONTRATTO, INPS, IRPEF, TFR, INDIRETTO, MAGGIORAZIONE, MESE) VALUES ('422', '8', NULL, '068', '1', '1', '1', NULL, NULL, NULL); -- Paga base

INSERT INTO CONTRATTODETTAGLIOVOCE (IDCONTRATTODETTAGLIO, IDVOCE, IDBASEIMPONIBILE, IDINPSCONTRATTO, INPS, IRPEF, TFR, INDIRETTO, MAGGIORAZIONE, MESE) VALUES ('422', '43', NULL, '068', '1', '1', '1', NULL, NULL, NULL); -- Indennità territoriale di settore

INSERT INTO CONTRATTODETTAGLIOVOCE (IDCONTRATTODETTAGLIO, IDVOCE, IDBASEIMPONIBILE, IDINPSCONTRATTO, INPS, IRPEF, TFR, INDIRETTO, MAGGIORAZIONE, MESE) VALUES ('422', '13', NULL, '068', '1', '1', '1', NULL, NULL, NULL); -- Indennità di contingenza

INSERT INTO CONTRATTODETTAGLIOVOCE (IDCONTRATTODETTAGLIO, IDVOCE, IDBASEIMPONIBILE, IDINPSCONTRATTO, INPS, IRPEF, TFR, INDIRETTO, MAGGIORAZIONE, MESE) VALUES ('422', '7', NULL, '068', '1', '1', '1', NULL, NULL, NULL); -- Edr (Elemento Distinto della Retribuzione)

COMMIT WORK;



---- Paga base

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('422', 'O4', '8', '01.07.2023', '7.990000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('422', 'O3', '8', '01.07.2023', '7.420000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('422', 'O2', '8', '01.07.2023', '6.680000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('422', 'O1', '8', '01.07.2023', '5.710000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('422', 'F2', '8', '01.07.2023', '6.680000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('422', 'F1', '8', '01.07.2023', '5.710000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('422', 'D1', '8', '01.07.2023', '5.140000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('422', 'D2/D3', '8', '01.07.2023', '4.570000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

COMMIT WORK;



---- Indennità territoriale di settore

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('422', 'O4', '43', '01.07.2023', '1.520000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('422', 'O3', '43', '01.07.2023', '1.410000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('422', 'O2', '43', '01.07.2023', '1.270000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('422', 'O1', '43', '01.07.2023', '1.110000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('422', 'F2', '43', '01.07.2023', '1.270000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('422', 'F1', '43', '01.07.2023', '1.110000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('422', 'D1', '43', '01.07.2023', '0.970000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('422', 'D2/D3', '43', '01.07.2023', ' 0.870000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

COMMIT WORK;



---- Indennità di contingenza

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('422', 'O4', '13', '01.07.2023', '3.010000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('422', 'O3', '13', '01.07.2023', '3.000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('422', 'O2', '13', '01.07.2023', '2.990000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('422', 'O1', '13', '01.07.2023', '2.960000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('422', 'F2', '13', '01.07.2023', '2.990000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('422', 'F1', '13', '01.07.2023', '2.960000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('422', 'D1', '13', '01.07.2023', '2.470000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('422', 'D2/D3', '13', '01.07.2023', '2.470000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

COMMIT WORK;



---- Edr (Elemento Distinto della Retribuzione)

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('422', 'O4', '7', '01.07.2023', '0.060000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('422', 'O3', '7', '01.07.2023', '0.060000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('422', 'O2', '7', '01.07.2023', '0.060000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('422', 'O1', '7', '01.07.2023', '0.060000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('422', 'F2', '7', '01.07.2023', '0.060000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('422', 'F1', '7', '01.07.2023', '0.060000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('422', 'D1', '7', '01.07.2023', '0.050000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('422', 'D2/D3', '7', '01.07.2023', '0.040000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

COMMIT WORK;



INSERT INTO CONTRATTOCOEFFICIENTE (IDCONTRATTODETTAGLIO, IDCOEFFICIENTE, DESCRIZIONE, GIORNALIERO, ORARIO, GIORNISETTIMANA, ORESETTIMANA, SOLODONNAEMINORE, SOLOUOMO, IDTIPOLAVORATORE2, MENSILITA, MENSILITAAGGIUNTIVA, MENSILITAAGGIDUM, MENSILITA1000, NOTE, ULTIMAMODIFICA, ULTIMAMODIFICAUSER) VALUES ('422', '1', '', '25.00', '173.00', '5.00', '40.00', NULL, NULL, '2', '12', NULL, NULL, '12000', '', '14.01.2011, 10:11:38.000', NULL);

COMMIT WORK;



INSERT INTO CONTRATTORATEO (IDCONTRATTODETTAGLIO, IDRATEO, IDCOEFFICIENTE, IDTIPOLAVORATORE2, NOTA) VALUES ('422', '1', '1', '0', NULL);

COMMIT WORK;



INSERT INTO CONTRATTORATEOVALORE (IDCONTRATTODETTAGLIO, IDRATEO, IDTIPORATEO, IDANZIANITA, IDUNITAMISURA, IDUNITAMISURA2, VALORE) VALUES ('422', '1', '1', NULL, '3', '4', '0.330000');

INSERT INTO CONTRATTORATEOVALORE (IDCONTRATTODETTAGLIO, IDRATEO, IDTIPORATEO, IDANZIANITA, IDUNITAMISURA, IDUNITAMISURA2, VALORE) VALUES ('422', '1', '3', NULL, '1', '4', '7.333330');

COMMIT WORK;



-- END Contratto dettaglio 422



SET ECHO ON; -- noqa: PRS



/******************************************************************************/

/****                                PRESENZE                                 ****/

/******************************************************************************/



SET ECHO OFF;



SET NAMES UTF8;



CONNECT 'localhost:./firebird_data/presenze.fdb'

USER 'SYSDBA' PASSWORD 'masterkey';



SET SQL DIALECT 3;



INSERT INTO FESTIVITA (IDFESTIVITA, IDTIPOFESTIVITA, IDCALENDARIO, IDCOMUNE, IDCONTRATTODETTAGLIO, PERIODICA, GIORNO, MESE, ANNO, DESCRIZIONE, NOTE, IDPROVINCIA, ATTIVO) VALUES ('103', '50', '1', NULL, '117', '1', '16', '8', NULL, 'Festa del commercio', NULL, '015', NULL);

COMMIT WORK; -- skip error

INSERT INTO FESTIVITA (IDFESTIVITA, IDTIPOFESTIVITA, IDCALENDARIO, IDCOMUNE, IDCONTRATTODETTAGLIO, PERIODICA, GIORNO, MESE, ANNO, DESCRIZIONE, NOTE, IDPROVINCIA, ATTIVO) VALUES ('104', '50', '1', NULL, '187', '1', '16', '8', NULL, 'Festa del commercio', NULL, '015', NULL);

COMMIT WORK; -- skip error

INSERT INTO FESTIVITA (IDFESTIVITA, IDTIPOFESTIVITA, IDCALENDARIO, IDCOMUNE, IDCONTRATTODETTAGLIO, PERIODICA, GIORNO, MESE, ANNO, DESCRIZIONE, NOTE, IDPROVINCIA, ATTIVO) VALUES ('105', '50', '1', NULL, '117', '1', '16', '8', NULL, 'Festa del commercio', NULL, '098', NULL);

COMMIT WORK; -- skip error

INSERT INTO FESTIVITA (IDFESTIVITA, IDTIPOFESTIVITA, IDCALENDARIO, IDCOMUNE, IDCONTRATTODETTAGLIO, PERIODICA, GIORNO, MESE, ANNO, DESCRIZIONE, NOTE, IDPROVINCIA, ATTIVO) VALUES ('106', '50', '1', NULL, '187', '1', '16', '8', NULL, 'Festa del commercio', NULL, '098', NULL);

COMMIT WORK; -- skip error

INSERT INTO FESTIVITA (IDFESTIVITA, IDTIPOFESTIVITA, IDCALENDARIO, IDCOMUNE, IDCONTRATTODETTAGLIO, PERIODICA, GIORNO, MESE, ANNO, DESCRIZIONE, NOTE, IDPROVINCIA, ATTIVO) VALUES ('107', '50', '1', NULL, '117', '1', '16', '8', NULL, 'Festa del commercio', NULL, '108', NULL);

COMMIT WORK; -- skip error

INSERT INTO FESTIVITA (IDFESTIVITA, IDTIPOFESTIVITA, IDCALENDARIO, IDCOMUNE, IDCONTRATTODETTAGLIO, PERIODICA, GIORNO, MESE, ANNO, DESCRIZIONE, NOTE, IDPROVINCIA, ATTIVO) VALUES ('108', '50', '1', NULL, '187', '1', '16', '8', NULL, 'Festa del commercio', NULL, '108', NULL);

COMMIT WORK; -- skip error



DELETE FROM FESTIVITA WHERE IDFESTIVITA IN (81, 82, 83, 84, 85, 86);



INSERT INTO FESTIVITA (IDFESTIVITA, IDTIPOFESTIVITA, IDCALENDARIO, IDCOMUNE, IDCONTRATTODETTAGLIO, PERIODICA, GIORNO, MESE, ANNO, DESCRIZIONE, NOTE) VALUES ('109', '40', '1', NULL, NULL, '1', '9', '5', '2024', 'Ascensione', NULL);

INSERT INTO FESTIVITA (IDFESTIVITA, IDTIPOFESTIVITA, IDCALENDARIO, IDCOMUNE, IDCONTRATTODETTAGLIO, PERIODICA, GIORNO, MESE, ANNO, DESCRIZIONE, NOTE) VALUES ('110', '40', '1', NULL, NULL, '1', '30', '5', '2024', 'Corpus Domini', NULL);

COMMIT WORK;



/******************************************************************************/

/****                                END                                   ****/

/******************************************************************************/



SET ECHO OFF; -- noqa: PRS